#!/bin/sh

if [ $# -ne 1 ] ; then
	echo ""
	echo "Usage: wire_extraction.sh <verilog instance filename>"
	echo ""
	
	exit 1
fi

if [ ! -f $1 ] ; then
	echo ""
	echo "The file $1 does not appear to exist..."
	echo ""
	
	exit 1
fi

grep -e "^.*// input .*" $1 > $1.inputs

cat $1.inputs | sed -e "s/^.*\/\/ input \(.*\)/wire \\1;/" > $1.input_wires

cat $1.inputs | sed -e "s/^.*\/\/ input \(.*\)/\\1,/" | sed -e "s/\[.*\] \(.*\)/\\1/" | sed -e "s/^ \(.*\)/\\1/" > $1.input_list

grep -e "^.*// output .*" $1 > $1.outputs

cat $1.outputs | sed -e "s/^.*\/\/ output \(.*\)/wire \\1;/" > $1.output_wires

cat $1.outputs | sed -e "s/^.*\/\/ output \(.*\)/\\1,/" | sed -e "s/\[.*\] \(.*\)/\\1/" | sed -e "s/^ \(.*\)/\\1/" > $1.output_list
