#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Sun Apr 25 12:05:28 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | bar_master_64b "bar_master_64b" v1.0
# | RSF 2010.04.25.12:05:28
# | Master state machine for 64-bit wide BAR master.
# | 
# |    ./bar_master_64b.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module bar_master_64b
# | 
set_module_property DESCRIPTION "Master state machine for 64-bit wide BAR master."
set_module_property NAME bar_master_64b
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME bar_master_64b
set_module_property TOP_LEVEL_HDL_FILE bar_master_64b.v
set_module_property TOP_LEVEL_HDL_MODULE bar_master_64b
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file bar_master_64b.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter AVALON_MASTER_ADDRESS_WIDTH INTEGER 16
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DEFAULT_VALUE 16
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DISPLAY_NAME AVALON_MASTER_ADDRESS_WIDTH
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH UNITS None
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DISPLAY_HINT ""
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH AFFECTS_GENERATION false
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH HDL_PARAMETER true
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cmdsnk
# | 
add_interface cmdsnk avalon_streaming end
set_interface_property cmdsnk associatedClock clock_reset
set_interface_property cmdsnk dataBitsPerSymbol -1
set_interface_property cmdsnk errorDescriptor ""
set_interface_property cmdsnk maxChannel 0
set_interface_property cmdsnk readyLatency 0

set_interface_property cmdsnk ASSOCIATED_CLOCK clock_reset
set_interface_property cmdsnk ENABLED true

add_interface_port cmdsnk asi_cmdsnk_data data Input AVALON_MASTER_ADDRESS_WIDTH+83
add_interface_port cmdsnk asi_cmdsnk_ready ready Output 1
add_interface_port cmdsnk asi_cmdsnk_valid valid Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point rddatasrc
# | 
add_interface rddatasrc avalon_streaming start
set_interface_property rddatasrc associatedClock clock_reset
set_interface_property rddatasrc dataBitsPerSymbol 64
set_interface_property rddatasrc errorDescriptor ""
set_interface_property rddatasrc maxChannel 0
set_interface_property rddatasrc readyLatency 0

set_interface_property rddatasrc ASSOCIATED_CLOCK clock_reset
set_interface_property rddatasrc ENABLED true

add_interface_port rddatasrc aso_rddatasrc_data data Output 64
add_interface_port rddatasrc aso_rddatasrc_ready ready Input 1
add_interface_port rddatasrc aso_rddatasrc_valid valid Output 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point m0
# | 
add_interface m0 avalon start
set_interface_property m0 associatedClock clock_reset
set_interface_property m0 burstOnBurstBoundariesOnly false
set_interface_property m0 doStreamReads false
set_interface_property m0 doStreamWrites false
set_interface_property m0 linewrapBursts false

set_interface_property m0 ASSOCIATED_CLOCK clock_reset
set_interface_property m0 ENABLED true

add_interface_port m0 avm_m0_address address Output AVALON_MASTER_ADDRESS_WIDTH
add_interface_port m0 avm_m0_byteenable byteenable Output 8
add_interface_port m0 avm_m0_burstcount burstcount Output 10
add_interface_port m0 avm_m0_read read Output 1
add_interface_port m0 avm_m0_write write Output 1
add_interface_port m0 avm_m0_writedata writedata Output 64
add_interface_port m0 avm_m0_waitrequest waitrequest Input 1
add_interface_port m0 avm_m0_readdata readdata Input 64
add_interface_port m0 avm_m0_readdatavalid readdatavalid Input 1
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set_interface_property cmdsnk dataBitsPerSymbol [ expr [ get_parameter_value AVALON_MASTER_ADDRESS_WIDTH ] + 83 ]
}
