//----------------------------------------------------------------------------------------------------
//-- (c)2010 Altera Corporation. All rights reserved.
//--
//-- Altera products are protected under numerous U.S. and foreign patents,
//-- maskwork rights, copyrights and other intellectual property laws.
//--
//-- This reference design file, and your use thereof, is subject to and governed
//-- by the terms and conditions of the applicable Altera Reference Design License
//-- Agreement (either as signed by you or found at www.altera.com).  By using
//-- this reference design file, you indicate your acceptance of such terms and
//-- conditions between you and Altera Corporation.  In the event that you do not
//-- agree with such terms and conditions, you may not use the reference design
//-- file and please promptly destroy any copies you have made.
//--
//-- This reference design file is being provided on an as-is basis and as an
//-- accommodation and therefore all warranties, representations or guarantees of
//-- any kind (whether express, implied or statutory) including, without
//-- limitation, warranties of merchantability, non-infringement, or fitness for
//-- a particular purpose, are specifically disclaimed.  By making this reference
//-- design file available, Altera expressly does not recommend, suggest or
//-- require that this reference design file be used in combination with any
//-- other product not provided by Altera.
//----------------------------------------------------------------------------------------------------

//	
//	This module maps the cfg_busdev data stream into an Avalon slave so it may be read by an Avalon Master.
//	

module busdev_slave
(
	// Clock Interface
	input  wire				clk,
	input  wire				reset,
	
	// BUSDEV Input Interface - Avalon ST
	input  wire [ 12 : 0 ]	asi_busdevsnk_data,
	
	// CSR Slave Interface - Avalon MM
	input  wire	[  3 : 0 ]	avs_csr_byteenable,
	input  wire				avs_csr_read,
	output wire	[ 31 : 0 ]	avs_csr_readdata	
);

assign avs_csr_readdata = { { 19 { 1'b0 }}, asi_busdevsnk_data };

endmodule
