//----------------------------------------------------------------------------------------------------
//-- (c)2010 Altera Corporation. All rights reserved.
//--
//-- Altera products are protected under numerous U.S. and foreign patents,
//-- maskwork rights, copyrights and other intellectual property laws.
//--
//-- This reference design file, and your use thereof, is subject to and governed
//-- by the terms and conditions of the applicable Altera Reference Design License
//-- Agreement (either as signed by you or found at www.altera.com).  By using
//-- this reference design file, you indicate your acceptance of such terms and
//-- conditions between you and Altera Corporation.  In the event that you do not
//-- agree with such terms and conditions, you may not use the reference design
//-- file and please promptly destroy any copies you have made.
//--
//-- This reference design file is being provided on an as-is basis and as an
//-- accommodation and therefore all warranties, representations or guarantees of
//-- any kind (whether express, implied or statutory) including, without
//-- limitation, warranties of merchantability, non-infringement, or fitness for
//-- a particular purpose, are specifically disclaimed.  By making this reference
//-- design file available, Altera expressly does not recommend, suggest or
//-- require that this reference design file be used in combination with any
//-- other product not provided by Altera.
//----------------------------------------------------------------------------------------------------

//
// This module strips the channel field off of the incoming stream.
//

// --------------------------------------------------------------------------------
//| Avalon Streaming Channel Adapter
// --------------------------------------------------------------------------------

`timescale 1ns / 100ps
module channel_remover_64b
#(
	parameter SINK_CHANNEL_WIDTH = 8
)
(
    
      // Interface: clk
      input              clk,
      input              reset_n,
      // Interface: in
      output reg         asi_snk_ready,
      input              asi_snk_valid,
      input      [63: 0] asi_snk_data,
      input      [ ( SINK_CHANNEL_WIDTH - 1 ) : 0 ]	asi_snk_channel,
      input              asi_snk_startofpacket,
      input              asi_snk_endofpacket,
      // Interface: out
      input              aso_src_ready,
      output reg         aso_src_valid,
      output reg [63: 0] aso_src_data,
      output reg         aso_src_startofpacket,
      output reg         aso_src_endofpacket
);


   reg  [ ( SINK_CHANNEL_WIDTH - 1 ) : 0 ]	aso_src_channel;

   // ---------------------------------------------------------------------
   //| Payload Mapping
   // ---------------------------------------------------------------------
   always @* begin
      asi_snk_ready = aso_src_ready;
      aso_src_valid = asi_snk_valid;
      aso_src_data = asi_snk_data;
      aso_src_startofpacket = asi_snk_startofpacket;
      aso_src_endofpacket = asi_snk_endofpacket;

      aso_src_channel = asi_snk_channel;
   end

endmodule
