#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Fri Apr 30 16:47:35 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | completion_data_extration_64b "completion_data_extration_64b" v1.0
# | RSF 2010.04.30.16:47:35
# | This peripheral extracts the data payload out of completion TLP packets.
# | 
# |    ./completion_data_extration_64b.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module completion_data_extration_64b
# | 
set_module_property DESCRIPTION "This peripheral extracts the data payload out of completion TLP packets."
set_module_property NAME completion_data_extration_64b
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME completion_data_extration_64b
set_module_property TOP_LEVEL_HDL_FILE completion_data_extration_64b.v
set_module_property TOP_LEVEL_HDL_MODULE completion_data_extration_64b
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file completion_data_extration_64b.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter CHANNEL_WIDTH INTEGER 2
set_parameter_property CHANNEL_WIDTH DEFAULT_VALUE 2
set_parameter_property CHANNEL_WIDTH DISPLAY_NAME CHANNEL_WIDTH
set_parameter_property CHANNEL_WIDTH UNITS None
set_parameter_property CHANNEL_WIDTH DISPLAY_HINT ""
set_parameter_property CHANNEL_WIDTH AFFECTS_GENERATION false
set_parameter_property CHANNEL_WIDTH HDL_PARAMETER true
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point snk
# | 
add_interface snk avalon_streaming end
set_interface_property snk associatedClock clock_reset
set_interface_property snk dataBitsPerSymbol 64
set_interface_property snk errorDescriptor ""
set_interface_property snk maxChannel 0
set_interface_property snk readyLatency 0

set_interface_property snk ASSOCIATED_CLOCK clock_reset
set_interface_property snk ENABLED true

add_interface_port snk asi_snk_data data Input 64
add_interface_port snk asi_snk_channel channel Input CHANNEL_WIDTH
add_interface_port snk asi_snk_ready ready Output 1
add_interface_port snk asi_snk_valid valid Input 1
add_interface_port snk asi_snk_startofpacket startofpacket Input 1
add_interface_port snk asi_snk_endofpacket endofpacket Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point src
# | 
add_interface src avalon_streaming start
set_interface_property src associatedClock clock_reset
set_interface_property src dataBitsPerSymbol 64
set_interface_property src errorDescriptor ""
set_interface_property src maxChannel 0
set_interface_property src readyLatency 0

set_interface_property src ASSOCIATED_CLOCK clock_reset
set_interface_property src ENABLED true

add_interface_port src aso_src_data data Output 64
add_interface_port src aso_src_channel channel Output CHANNEL_WIDTH
add_interface_port src aso_src_ready ready Input 1
add_interface_port src aso_src_valid valid Output 1
add_interface_port src aso_src_startofpacket startofpacket Output 1
add_interface_port src aso_src_endofpacket endofpacket Output 1
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set_interface_property src maxChannel [ expr ( pow ( 2, [ get_parameter_value CHANNEL_WIDTH ] )) - 1 ]
	set_interface_property snk maxChannel [ expr ( pow ( 2, [ get_parameter_value CHANNEL_WIDTH ] )) - 1 ]
}
