#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# +-----------------------------------
# | 
# | lmi_slave "lmi_slave" v1.0
# | RSF 2010.05.16.21:54:03
# | This is a simple slave interface to the LMI port of the PCIe HIP core.
# | 
# |    ./lmi_slave.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module lmi_slave
# | 
set_module_property DESCRIPTION "This is a simple slave interface to the LMI port of the PCIe HIP core."
set_module_property NAME lmi_slave
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME lmi_slave
set_module_property TOP_LEVEL_HDL_FILE lmi_slave.v
set_module_property TOP_LEVEL_HDL_MODULE lmi_slave
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file lmi_slave.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point lmi_slave
# | 
add_interface lmi_slave avalon end
set_interface_property lmi_slave addressAlignment DYNAMIC
set_interface_property lmi_slave associatedClock clock_reset
set_interface_property lmi_slave burstOnBurstBoundariesOnly false
set_interface_property lmi_slave explicitAddressSpan 0
set_interface_property lmi_slave holdTime 0
set_interface_property lmi_slave isMemoryDevice false
set_interface_property lmi_slave isNonVolatileStorage false
set_interface_property lmi_slave linewrapBursts false
set_interface_property lmi_slave maximumPendingReadTransactions 0
set_interface_property lmi_slave printableDevice false
set_interface_property lmi_slave readLatency 0
set_interface_property lmi_slave readWaitTime 1
set_interface_property lmi_slave setupTime 0
set_interface_property lmi_slave timingUnits Cycles
set_interface_property lmi_slave writeWaitTime 0

set_interface_property lmi_slave ASSOCIATED_CLOCK clock_reset
set_interface_property lmi_slave ENABLED true

add_interface_port lmi_slave avs_lmi_slave_address address Input 10
add_interface_port lmi_slave avs_lmi_slave_byteenable byteenable Input 4
add_interface_port lmi_slave avs_lmi_slave_read read Input 1
add_interface_port lmi_slave avs_lmi_slave_write write Input 1
add_interface_port lmi_slave avs_lmi_slave_waitrequest waitrequest Output 1
add_interface_port lmi_slave avs_lmi_slave_writedata writedata Input 32
add_interface_port lmi_slave avs_lmi_slave_readdata readdata Output 32
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point lmi_export
# | 
add_interface lmi_export conduit end

set_interface_property lmi_export ASSOCIATED_CLOCK clock_reset
set_interface_property lmi_export ENABLED true

add_interface_port lmi_export coe_lmi_rden export Output 1
add_interface_port lmi_export coe_lmi_wren export Output 1
add_interface_port lmi_export coe_lmi_ack export Input 1
add_interface_port lmi_export coe_lmi_addr export Output 12
add_interface_port lmi_export coe_lmi_dout export Input 32
add_interface_port lmi_export coe_lmi_din export Output 32
# | 
# +-----------------------------------
