#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Wed Aug 04 07:58:36 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | msi_interface "msi_interface" v1.0
# | RSF 2010.08.04.07:58:36
# | This peripheral provides a trivial interface between the SOPC IRQ infrastructure and the PCIe MSI interface.
# | 
# |    ./msi_interface.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module msi_interface
# | 
set_module_property DESCRIPTION "This peripheral provides a trivial interface between the SOPC IRQ infrastructure and the PCIe MSI interface."
set_module_property NAME msi_interface
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME msi_interface
set_module_property TOP_LEVEL_HDL_FILE msi_interface.v
set_module_property TOP_LEVEL_HDL_MODULE msi_interface
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file msi_interface.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point msi_master
# | 
add_interface msi_master avalon start
set_interface_property msi_master associatedClock clock_reset
set_interface_property msi_master burstOnBurstBoundariesOnly false
set_interface_property msi_master doStreamReads false
set_interface_property msi_master doStreamWrites false
set_interface_property msi_master linewrapBursts false

set_interface_property msi_master ASSOCIATED_CLOCK clock_reset
set_interface_property msi_master ENABLED true

add_interface_port msi_master avm_msi_master_address address Output 32
add_interface_port msi_master avm_msi_master_byteenable byteenable Output 4
add_interface_port msi_master avm_msi_master_read read Output 1
add_interface_port msi_master avm_msi_master_write write Output 1
add_interface_port msi_master avm_msi_master_waitrequest waitrequest Input 1
add_interface_port msi_master avm_msi_master_writedata writedata Output 32
add_interface_port msi_master avm_msi_master_readdata readdata Input 32
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point msi_slave
# | 
add_interface msi_slave avalon end
set_interface_property msi_slave addressAlignment DYNAMIC
set_interface_property msi_slave associatedClock clock_reset
set_interface_property msi_slave burstOnBurstBoundariesOnly false
set_interface_property msi_slave explicitAddressSpan 0
set_interface_property msi_slave holdTime 0
set_interface_property msi_slave isMemoryDevice false
set_interface_property msi_slave isNonVolatileStorage false
set_interface_property msi_slave linewrapBursts false
set_interface_property msi_slave maximumPendingReadTransactions 0
set_interface_property msi_slave printableDevice false
set_interface_property msi_slave readLatency 0
set_interface_property msi_slave readWaitTime 1
set_interface_property msi_slave setupTime 0
set_interface_property msi_slave timingUnits Cycles
set_interface_property msi_slave writeWaitTime 0

set_interface_property msi_slave ASSOCIATED_CLOCK clock_reset
set_interface_property msi_slave ENABLED true

add_interface_port msi_slave avs_msi_slave_address address Input 2
add_interface_port msi_slave avs_msi_slave_byteenable byteenable Input 4
add_interface_port msi_slave avs_msi_slave_read read Input 1
add_interface_port msi_slave avs_msi_slave_write write Input 1
add_interface_port msi_slave avs_msi_slave_waitrequest waitrequest Output 1
add_interface_port msi_slave avs_msi_slave_writedata writedata Input 32
add_interface_port msi_slave avs_msi_slave_readdata readdata Output 32
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point irqin
# | 
add_interface irqin interrupt start
set_interface_property irqin associatedAddressablePoint msi_master
set_interface_property irqin irqScheme INDIVIDUAL_REQUESTS

set_interface_property irqin ASSOCIATED_CLOCK clock_reset
set_interface_property irqin ENABLED true

add_interface_port irqin inr_irqin_irq irq Input 32
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point msicsr
# | 
add_interface msicsr avalon_streaming end
set_interface_property msicsr associatedClock clock_reset
set_interface_property msicsr dataBitsPerSymbol 16
set_interface_property msicsr errorDescriptor ""
set_interface_property msicsr maxChannel 0
set_interface_property msicsr readyLatency 0

set_interface_property msicsr ASSOCIATED_CLOCK clock_reset
set_interface_property msicsr ENABLED true

add_interface_port msicsr asi_msicsr_data data Input 16
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point conduit_end_0
# | 
add_interface conduit_end_0 conduit end

set_interface_property conduit_end_0 ASSOCIATED_CLOCK clock_reset
set_interface_property conduit_end_0 ENABLED true

add_interface_port conduit_end_0 coe_msi_req export Output 1
add_interface_port conduit_end_0 coe_msi_ack export Input 1
add_interface_port conduit_end_0 coe_msi_tc export Output 3
add_interface_port conduit_end_0 coe_msi_num export Output 5
# | 
# +-----------------------------------
