//----------------------------------------------------------------------------------------------------
//-- (c)2010 Altera Corporation. All rights reserved.
//--
//-- Altera products are protected under numerous U.S. and foreign patents,
//-- maskwork rights, copyrights and other intellectual property laws.
//--
//-- This reference design file, and your use thereof, is subject to and governed
//-- by the terms and conditions of the applicable Altera Reference Design License
//-- Agreement (either as signed by you or found at www.altera.com).  By using
//-- this reference design file, you indicate your acceptance of such terms and
//-- conditions between you and Altera Corporation.  In the event that you do not
//-- agree with such terms and conditions, you may not use the reference design
//-- file and please promptly destroy any copies you have made.
//--
//-- This reference design file is being provided on an as-is basis and as an
//-- accommodation and therefore all warranties, representations or guarantees of
//-- any kind (whether express, implied or statutory) including, without
//-- limitation, warranties of merchantability, non-infringement, or fitness for
//-- a particular purpose, are specifically disclaimed.  By making this reference
//-- design file available, Altera expressly does not recommend, suggest or
//-- require that this reference design file be used in combination with any
//-- other product not provided by Altera.
//----------------------------------------------------------------------------------------------------

//	
//	This module provides a dummy sink interface to terminate the cfg_busdev_src for testing purposes.
//	  
	
module null_busdev_snk (

	// Clock Interface
	input wire				clk,
	input wire				reset,
	
	// busdev Input Interface - Avalon ST
	input wire	[ 12 : 0 ]	busdev_in
);

reg		[ 12 : 0 ] current_busdev;

always @ ( posedge clk or posedge reset ) begin

	if( reset ) begin
	
		current_busdev <= 0;
		
	end else begin
	
		current_busdev <= busdev_in;

	end
	
end

endmodule
