//----------------------------------------------------------------------------------------------------
//-- (c)2011 Altera Corporation. All rights reserved.
//--
//-- Altera products are protected under numerous U.S. and foreign patents,
//-- maskwork rights, copyrights and other intellectual property laws.
//--
//-- This reference design file, and your use thereof, is subject to and governed
//-- by the terms and conditions of the applicable Altera Reference Design License
//-- Agreement (either as signed by you or found at www.altera.com).  By using
//-- this reference design file, you indicate your acceptance of such terms and
//-- conditions between you and Altera Corporation.  In the event that you do not
//-- agree with such terms and conditions, you may not use the reference design
//-- file and please promptly destroy any copies you have made.
//--
//-- This reference design file is being provided on an ?as-is? basis and as an
//-- accommodation and therefore all warranties, representations or guarantees of
//-- any kind (whether express, implied or statutory) including, without
//-- limitation, warranties of merchantability, non-infringement, or fitness for
//-- a particular purpose, are specifically disclaimed.  By making this reference
//-- design file available, Altera expressly does not recommend, suggest or
//-- require that this reference design file be used in combination with any
//-- other product not provided by Altera.
//----------------------------------------------------------------------------------------------------

//	
//	This module sources null packet traffic without any concern.
//	

module null_tlp_src_64b
(

	// Clock Interface
	input  wire				clk,
	input  wire				reset,
	
	// TLP output Interface - PCIe ST
	output  reg		[ 63 : 0 ]	aso_tlpsrc_data,
	input	  wire					aso_tlpsrc_ready,
	output  reg						aso_tlpsrc_valid,
	output  reg						aso_tlpsrc_startofpacket,
	output  reg						aso_tlpsrc_endofpacket
);

reg wait_1;
reg wait_2;

always @ ( posedge clk or posedge reset ) begin
	if( reset ) begin
	
		aso_tlpsrc_data				<= 0;
		aso_tlpsrc_valid				<= 0;
		aso_tlpsrc_startofpacket	<= 0;
		aso_tlpsrc_endofpacket		<= 0;
		wait_1							<= 0;
		wait_2							<= 0;
		
	end else begin
		
		wait_1 <= 1;
		wait_2 <= wait_1;
		
		aso_tlpsrc_valid				<= wait_1 & wait_2;
		aso_tlpsrc_startofpacket	<= wait_1 & wait_2;
		aso_tlpsrc_endofpacket		<= wait_1 & wait_2;
				
	end 
end

endmodule
