#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Fri Jul 02 21:59:36 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | pcie_64bar_tlp2master_64b_piped "pcie_64bar_tlp2master_64b_piped" v1.0
# | RSF 2010.07.02.21:59:35
# | 
# |    ./pcie_64bar_tlp2master_64b_piped.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module pcie_64bar_tlp2master_64b_piped
# | 
set_module_property DESCRIPTION "Translates request TLPs into Avalon Master commands and forwards completion information for read requests."
set_module_property NAME pcie_64bar_tlp2master_64b_piped
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME pcie_64bar_tlp2master_64b_piped
set_module_property TOP_LEVEL_HDL_FILE pcie_64bar_tlp2master_64b_piped.v
set_module_property TOP_LEVEL_HDL_MODULE pcie_64bar_tlp2master_64b_piped
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file pcie_64bar_tlp2master_64b_piped.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter AVALON_MASTER_ADDRESS_WIDTH INTEGER 16
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DEFAULT_VALUE 16
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DISPLAY_NAME AVALON_MASTER_ADDRESS_WIDTH
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH UNITS None
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH DISPLAY_HINT ""
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH AFFECTS_GENERATION false
set_parameter_property AVALON_MASTER_ADDRESS_WIDTH HDL_PARAMETER true
add_parameter COMPLETION_INFO_WIDTH INTEGER 64
set_parameter_property COMPLETION_INFO_WIDTH DEFAULT_VALUE 64
set_parameter_property COMPLETION_INFO_WIDTH DISPLAY_NAME COMPLETION_INFO_WIDTH
set_parameter_property COMPLETION_INFO_WIDTH ENABLED false
set_parameter_property COMPLETION_INFO_WIDTH UNITS None
set_parameter_property COMPLETION_INFO_WIDTH DISPLAY_HINT ""
set_parameter_property COMPLETION_INFO_WIDTH AFFECTS_GENERATION false
set_parameter_property COMPLETION_INFO_WIDTH HDL_PARAMETER true
add_parameter READ_CREDIT_WIDTH INTEGER 10
set_parameter_property READ_CREDIT_WIDTH DEFAULT_VALUE 10
set_parameter_property READ_CREDIT_WIDTH DISPLAY_NAME READ_CREDIT_WIDTH
set_parameter_property READ_CREDIT_WIDTH UNITS None
set_parameter_property READ_CREDIT_WIDTH DISPLAY_HINT ""
set_parameter_property READ_CREDIT_WIDTH AFFECTS_GENERATION false
set_parameter_property READ_CREDIT_WIDTH HDL_PARAMETER true
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point tlpsnk
# | 
add_interface tlpsnk avalon_streaming end
set_interface_property tlpsnk associatedClock clock_reset
set_interface_property tlpsnk dataBitsPerSymbol 64
set_interface_property tlpsnk errorDescriptor ""
set_interface_property tlpsnk maxChannel 0
set_interface_property tlpsnk readyLatency 0

set_interface_property tlpsnk ASSOCIATED_CLOCK clock_reset
set_interface_property tlpsnk ENABLED true

add_interface_port tlpsnk asi_tlpsnk_data data Input 64
add_interface_port tlpsnk asi_tlpsnk_ready ready Output 1
add_interface_port tlpsnk asi_tlpsnk_valid valid Input 1
add_interface_port tlpsnk asi_tlpsnk_startofpacket startofpacket Input 1
add_interface_port tlpsnk asi_tlpsnk_endofpacket endofpacket Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cmdsrc
# | 
add_interface cmdsrc avalon_streaming start
set_interface_property cmdsrc associatedClock clock_reset
set_interface_property cmdsrc dataBitsPerSymbol -1
set_interface_property cmdsrc errorDescriptor ""
set_interface_property cmdsrc maxChannel 0
set_interface_property cmdsrc readyLatency 0

set_interface_property cmdsrc ASSOCIATED_CLOCK clock_reset
set_interface_property cmdsrc ENABLED true

add_interface_port cmdsrc aso_cmdsrc_data data Output AVALON_MASTER_ADDRESS_WIDTH+83
add_interface_port cmdsrc aso_cmdsrc_ready ready Input 1
add_interface_port cmdsrc aso_cmdsrc_valid valid Output 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cplinfosrc
# | 
add_interface cplinfosrc avalon_streaming start
set_interface_property cplinfosrc associatedClock clock_reset
set_interface_property cplinfosrc dataBitsPerSymbol 64
set_interface_property cplinfosrc errorDescriptor ""
set_interface_property cplinfosrc maxChannel 0
set_interface_property cplinfosrc readyLatency 0

set_interface_property cplinfosrc ASSOCIATED_CLOCK clock_reset
set_interface_property cplinfosrc ENABLED true

add_interface_port cplinfosrc aso_cplinfosrc_data data Output COMPLETION_INFO_WIDTH
add_interface_port cplinfosrc aso_cplinfosrc_ready ready Input 1
add_interface_port cplinfosrc aso_cplinfosrc_valid valid Output 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point readcreditdec
# | 
add_interface readcreditdec avalon_streaming end
set_interface_property readcreditdec associatedClock clock_reset
set_interface_property readcreditdec dataBitsPerSymbol 1
set_interface_property readcreditdec errorDescriptor ""
set_interface_property readcreditdec maxChannel 0
set_interface_property readcreditdec readyLatency 0

set_interface_property readcreditdec ASSOCIATED_CLOCK clock_reset
set_interface_property readcreditdec ENABLED true

add_interface_port readcreditdec asi_readcreditdec_data data Input 1
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set_interface_property cmdsrc dataBitsPerSymbol [ expr [ get_parameter_value AVALON_MASTER_ADDRESS_WIDTH ] + 83 ]
}
