//----------------------------------------------------------------------------------------------------
//-- (c)2010 Altera Corporation. All rights reserved.
//--
//-- Altera products are protected under numerous U.S. and foreign patents,
//-- maskwork rights, copyrights and other intellectual property laws.
//--
//-- This reference design file, and your use thereof, is subject to and governed
//-- by the terms and conditions of the applicable Altera Reference Design License
//-- Agreement (either as signed by you or found at www.altera.com).  By using
//-- this reference design file, you indicate your acceptance of such terms and
//-- conditions between you and Altera Corporation.  In the event that you do not
//-- agree with such terms and conditions, you may not use the reference design
//-- file and please promptly destroy any copies you have made.
//--
//-- This reference design file is being provided on an as-is basis and as an
//-- accommodation and therefore all warranties, representations or guarantees of
//-- any kind (whether express, implied or statutory) including, without
//-- limitation, warranties of merchantability, non-infringement, or fitness for
//-- a particular purpose, are specifically disclaimed.  By making this reference
//-- design file available, Altera expressly does not recommend, suggest or
//-- require that this reference design file be used in combination with any
//-- other product not provided by Altera.
//----------------------------------------------------------------------------------------------------

//
//	This module provides a dummy Avalon master interface that can be used to terminate unused Avalon
//	slave interfaces in the Modular PCIe Bridge.
//
module pcie_bridge_dummy_master
#(
    parameter MASTER_ADDRESS_WIDTH      = 8
)
(
    // master clock interface
    input                                       csi_master_clk_clk,
    input                                       csi_master_clk_reset,
    
    // master interface
    output  [(MASTER_ADDRESS_WIDTH - 1):0]      avm_m0_address,
    output  [3:0]   							avm_m0_byteenable,
    output                                      avm_m0_read,
    output                                      avm_m0_write,
    output  [31:0]         						avm_m0_writedata,
    input                                       avm_m0_waitrequest,
    input   [31:0]         						avm_m0_readdata
);

assign avm_m0_address		= { MASTER_ADDRESS_WIDTH { 1'b0 }};
assign avm_m0_byteenable	= { 4 { 1'b0 }};
assign avm_m0_read			= 1'b0;
assign avm_m0_write			= 1'b0;
assign avm_m0_writedata		= { 32 { 1'b0 }};

endmodule
