#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# +-----------------------------------
# | 
# | pcie_bridge_dummy_master "pcie_bridge_dummy_master" v1.0
# | RSF 2010.05.16.11:32:10
# | Dummy MM master used to terminate unused MM slaves in the PCIe bridge.
# | 
# |    ./pcie_bridge_dummy_master.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module pcie_bridge_dummy_master
# | 
set_module_property DESCRIPTION "Dummy MM master used to terminate unused MM slaves in the PCIe bridge."
set_module_property NAME pcie_bridge_dummy_master
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME pcie_bridge_dummy_master
set_module_property TOP_LEVEL_HDL_FILE pcie_bridge_dummy_master.v
set_module_property TOP_LEVEL_HDL_MODULE pcie_bridge_dummy_master
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file pcie_bridge_dummy_master.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter MASTER_ADDRESS_WIDTH INTEGER 8
set_parameter_property MASTER_ADDRESS_WIDTH DEFAULT_VALUE 8
set_parameter_property MASTER_ADDRESS_WIDTH DISPLAY_NAME MASTER_ADDRESS_WIDTH
set_parameter_property MASTER_ADDRESS_WIDTH UNITS None
set_parameter_property MASTER_ADDRESS_WIDTH DISPLAY_HINT ""
set_parameter_property MASTER_ADDRESS_WIDTH AFFECTS_GENERATION false
set_parameter_property MASTER_ADDRESS_WIDTH HDL_PARAMETER true
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point master_clk
# | 
add_interface master_clk clock end

set_interface_property master_clk ENABLED true

add_interface_port master_clk csi_master_clk_clk clk Input 1
add_interface_port master_clk csi_master_clk_reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point m0
# | 
add_interface m0 avalon start
set_interface_property m0 associatedClock master_clk
set_interface_property m0 burstOnBurstBoundariesOnly false
set_interface_property m0 doStreamReads false
set_interface_property m0 doStreamWrites false
set_interface_property m0 linewrapBursts false

set_interface_property m0 ASSOCIATED_CLOCK master_clk
set_interface_property m0 ENABLED true

add_interface_port m0 avm_m0_address address Output MASTER_ADDRESS_WIDTH
add_interface_port m0 avm_m0_byteenable byteenable Output 4
add_interface_port m0 avm_m0_read read Output 1
add_interface_port m0 avm_m0_write write Output 1
add_interface_port m0 avm_m0_writedata writedata Output 32
add_interface_port m0 avm_m0_waitrequest waitrequest Input 1
add_interface_port m0 avm_m0_readdata readdata Input 32
# | 
# +-----------------------------------
