#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# +-----------------------------------
# | 
# | pcie_bridge_endian_swap_64b "pcie_bridge_endian_swap_64b" v1.0
# | RSF 2010.05.16.11:36:44
# | This component swaps the endian of the input data, it accepts 1 64-bit symbol in and produces 8 8-bit symbols out.
# | 
# |    ./pcie_bridge_endian_swap_64b.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module pcie_bridge_endian_swap_64b
# | 
set_module_property DESCRIPTION "This component swaps the endian of the input data, it accepts 1 64-bit symbol in and produces 8 8-bit symbols out."
set_module_property NAME pcie_bridge_endian_swap_64b
set_module_property VERSION 1.0
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME pcie_bridge_endian_swap_64b
set_module_property TOP_LEVEL_HDL_FILE pcie_bridge_endian_swap_64b.v
set_module_property TOP_LEVEL_HDL_MODULE pcie_bridge_endian_swap_64b
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file pcie_bridge_endian_swap_64b.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter INPUT_SYMBOLS INTEGER 1
set_parameter_property INPUT_SYMBOLS DEFAULT_VALUE 1
set_parameter_property INPUT_SYMBOLS DISPLAY_NAME INPUT_SYMBOLS
set_parameter_property INPUT_SYMBOLS DESCRIPTION "Number of input symbols for the 64-bit data word."
set_parameter_property INPUT_SYMBOLS UNITS ""
set_parameter_property INPUT_SYMBOLS DISPLAY_HINT ""
set_parameter_property INPUT_SYMBOLS AFFECTS_GENERATION false
set_parameter_property INPUT_SYMBOLS AFFECTS_ELABORATION true
set_parameter_property INPUT_SYMBOLS HDL_PARAMETER false
set_parameter_property INPUT_SYMBOLS ALLOWED_RANGES { "1:1 Symbol" "8:8 Symbols" }

add_parameter OUTPUT_SYMBOLS INTEGER 8
set_parameter_property OUTPUT_SYMBOLS DEFAULT_VALUE 8
set_parameter_property OUTPUT_SYMBOLS DISPLAY_NAME OUTPUT_SYMBOLS
set_parameter_property OUTPUT_SYMBOLS DESCRIPTION "Number of output symbols for the 64-bit data word."
set_parameter_property OUTPUT_SYMBOLS UNITS ""
set_parameter_property OUTPUT_SYMBOLS DISPLAY_HINT ""
set_parameter_property OUTPUT_SYMBOLS AFFECTS_GENERATION false
set_parameter_property OUTPUT_SYMBOLS AFFECTS_ELABORATION true
set_parameter_property OUTPUT_SYMBOLS HDL_PARAMETER false
set_parameter_property OUTPUT_SYMBOLS ALLOWED_RANGES { "1:1 Symbol" "8:8 Symbols" }
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock
# | 
add_interface clock clock end

set_interface_property clock ENABLED true

add_interface_port clock csi_clock_clk clk Input 1
add_interface_port clock csi_clock_reset_n reset_n Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point in
# | 
add_interface in avalon_streaming end
set_interface_property in associatedClock clock
set_interface_property in dataBitsPerSymbol 64
set_interface_property in errorDescriptor ""
set_interface_property in maxChannel 0
set_interface_property in readyLatency 0

set_interface_property in ASSOCIATED_CLOCK clock
set_interface_property in ENABLED true

add_interface_port in asi_in_data data Input 64
add_interface_port in asi_in_valid valid Input 1
add_interface_port in asi_in_ready ready Output 1
add_interface_port in asi_in_startofpacket startofpacket Input 1
add_interface_port in asi_in_endofpacket endofpacket Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point out
# | 
add_interface out avalon_streaming start
set_interface_property out associatedClock clock
set_interface_property out dataBitsPerSymbol 8
set_interface_property out errorDescriptor ""
set_interface_property out maxChannel 0
set_interface_property out readyLatency 0

set_interface_property out ASSOCIATED_CLOCK clock
set_interface_property out ENABLED true

add_interface_port out aso_out_data data Output 64
add_interface_port out aso_out_valid valid Output 1
add_interface_port out aso_out_ready ready Input 1
add_interface_port out aso_out_startofpacket startofpacket Output 1
add_interface_port out aso_out_endofpacket endofpacket Output 1
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set_interface_property in dataBitsPerSymbol 	[ expr ( [ get_parameter_value INPUT_SYMBOLS ]  == 1 ) ? ( 64 ) : ( 8 ) ]
	set_interface_property out dataBitsPerSymbol	[ expr ( [ get_parameter_value OUTPUT_SYMBOLS ] == 1 ) ? ( 64 ) : ( 8 ) ]

}
