#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Sun Apr 25 13:15:44 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | pcie_tl_cfg_ctl "pcie_tl_cfg_ctl" v1.0
# | RSF 2010.04.25.13:15:44
# | Synchronize and demux the cfg_ctl data from the PCIe core.
# | 
# |    ./pcie_tl_cfg_ctl.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module pcie_tl_cfg_ctl
# | 
set_module_property DESCRIPTION "Synchronize and demux the cfg_ctl data from the PCIe core."
set_module_property NAME pcie_tl_cfg_ctl
set_module_property VERSION 1.1
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME pcie_tl_cfg_ctl
set_module_property TOP_LEVEL_HDL_FILE pcie_tl_cfg_ctl.v
set_module_property TOP_LEVEL_HDL_MODULE pcie_tl_cfg_ctl
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file pcie_tl_cfg_ctl.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter USE_CFG_DEVCSR_OUT INTEGER 1
set_parameter_property USE_CFG_DEVCSR_OUT DEFAULT_VALUE 1
set_parameter_property USE_CFG_DEVCSR_OUT DISPLAY_NAME "Use cfg_devcsr_out"
set_parameter_property USE_CFG_DEVCSR_OUT UNITS None
set_parameter_property USE_CFG_DEVCSR_OUT DISPLAY_HINT "boolean"
set_parameter_property USE_CFG_DEVCSR_OUT AFFECTS_GENERATION false
set_parameter_property USE_CFG_DEVCSR_OUT AFFECTS_ELABORATION true
set_parameter_property USE_CFG_DEVCSR_OUT HDL_PARAMETER false

add_parameter USE_CFG_LINKCSR_OUT INTEGER 1
set_parameter_property USE_CFG_LINKCSR_OUT DEFAULT_VALUE 1
set_parameter_property USE_CFG_LINKCSR_OUT DISPLAY_NAME "Use cfg_linkcsr_out"
set_parameter_property USE_CFG_LINKCSR_OUT UNITS None
set_parameter_property USE_CFG_LINKCSR_OUT DISPLAY_HINT "boolean"
set_parameter_property USE_CFG_LINKCSR_OUT AFFECTS_GENERATION false
set_parameter_property USE_CFG_LINKCSR_OUT AFFECTS_ELABORATION true
set_parameter_property USE_CFG_LINKCSR_OUT HDL_PARAMETER false

add_parameter USE_CFG_BUSDEV_OUT INTEGER 1
set_parameter_property USE_CFG_BUSDEV_OUT DEFAULT_VALUE 1
set_parameter_property USE_CFG_BUSDEV_OUT DISPLAY_NAME "Use cfg_busdev_out"
set_parameter_property USE_CFG_BUSDEV_OUT UNITS None
set_parameter_property USE_CFG_BUSDEV_OUT DISPLAY_HINT "boolean"
set_parameter_property USE_CFG_BUSDEV_OUT AFFECTS_GENERATION false
set_parameter_property USE_CFG_BUSDEV_OUT AFFECTS_ELABORATION true
set_parameter_property USE_CFG_BUSDEV_OUT HDL_PARAMETER false

add_parameter USE_CFG_MSICSR_OUT INTEGER 1
set_parameter_property USE_CFG_MSICSR_OUT DEFAULT_VALUE 1
set_parameter_property USE_CFG_MSICSR_OUT DISPLAY_NAME "Use cfg_msicsr_out"
set_parameter_property USE_CFG_MSICSR_OUT UNITS None
set_parameter_property USE_CFG_MSICSR_OUT DISPLAY_HINT "boolean"
set_parameter_property USE_CFG_MSICSR_OUT AFFECTS_GENERATION false
set_parameter_property USE_CFG_MSICSR_OUT AFFECTS_ELABORATION true
set_parameter_property USE_CFG_MSICSR_OUT HDL_PARAMETER false

add_parameter USE_CFG_TCVCMAP_OUT INTEGER 1
set_parameter_property USE_CFG_TCVCMAP_OUT DEFAULT_VALUE 1
set_parameter_property USE_CFG_TCVCMAP_OUT DISPLAY_NAME "Use cfg_tcvcmap_out"
set_parameter_property USE_CFG_TCVCMAP_OUT UNITS None
set_parameter_property USE_CFG_TCVCMAP_OUT DISPLAY_HINT "boolean"
set_parameter_property USE_CFG_TCVCMAP_OUT AFFECTS_GENERATION false
set_parameter_property USE_CFG_TCVCMAP_OUT AFFECTS_ELABORATION true
set_parameter_property USE_CFG_TCVCMAP_OUT HDL_PARAMETER false
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point tl_cfg_ctl_in
# | 
add_interface tl_cfg_ctl_in avalon_streaming end
set_interface_property tl_cfg_ctl_in associatedClock clock_reset
set_interface_property tl_cfg_ctl_in dataBitsPerSymbol 37
set_interface_property tl_cfg_ctl_in errorDescriptor ""
set_interface_property tl_cfg_ctl_in maxChannel 0
set_interface_property tl_cfg_ctl_in readyLatency 0

set_interface_property tl_cfg_ctl_in ASSOCIATED_CLOCK clock_reset
set_interface_property tl_cfg_ctl_in ENABLED true

add_interface_port tl_cfg_ctl_in asi_tl_cfg_ctl_in_data data Input 37
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cfg_devcsr_out
# | 
add_interface cfg_devcsr_out avalon_streaming start
set_interface_property cfg_devcsr_out associatedClock clock_reset
set_interface_property cfg_devcsr_out dataBitsPerSymbol 16
set_interface_property cfg_devcsr_out errorDescriptor ""
set_interface_property cfg_devcsr_out maxChannel 0
set_interface_property cfg_devcsr_out readyLatency 0

set_interface_property cfg_devcsr_out ASSOCIATED_CLOCK clock_reset
set_interface_property cfg_devcsr_out ENABLED true

add_interface_port cfg_devcsr_out aso_cfg_devcsr_out_data data Output 16
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cfg_linkscr_out
# | 
add_interface cfg_linkscr_out avalon_streaming start
set_interface_property cfg_linkscr_out associatedClock clock_reset
set_interface_property cfg_linkscr_out dataBitsPerSymbol 16
set_interface_property cfg_linkscr_out errorDescriptor ""
set_interface_property cfg_linkscr_out maxChannel 0
set_interface_property cfg_linkscr_out readyLatency 0

set_interface_property cfg_linkscr_out ASSOCIATED_CLOCK clock_reset
set_interface_property cfg_linkscr_out ENABLED true

add_interface_port cfg_linkscr_out aso_cfg_linkscr_out_data data Output 16
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cfg_busdev_out
# | 
add_interface cfg_busdev_out avalon_streaming start
set_interface_property cfg_busdev_out associatedClock clock_reset
set_interface_property cfg_busdev_out dataBitsPerSymbol 13
set_interface_property cfg_busdev_out errorDescriptor ""
set_interface_property cfg_busdev_out maxChannel 0
set_interface_property cfg_busdev_out readyLatency 0

set_interface_property cfg_busdev_out ASSOCIATED_CLOCK clock_reset
set_interface_property cfg_busdev_out ENABLED true

add_interface_port cfg_busdev_out aso_cfg_busdev_out_data data Output 13
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cfg_msicsr_out
# | 
add_interface cfg_msicsr_out avalon_streaming start
set_interface_property cfg_msicsr_out associatedClock clock_reset
set_interface_property cfg_msicsr_out dataBitsPerSymbol 16
set_interface_property cfg_msicsr_out errorDescriptor ""
set_interface_property cfg_msicsr_out maxChannel 0
set_interface_property cfg_msicsr_out readyLatency 0

set_interface_property cfg_msicsr_out ASSOCIATED_CLOCK clock_reset
set_interface_property cfg_msicsr_out ENABLED true

add_interface_port cfg_msicsr_out aso_cfg_msicsr_out_data data Output 16
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point cfg_tcvcmap_out
# | 
add_interface cfg_tcvcmap_out avalon_streaming start
set_interface_property cfg_tcvcmap_out associatedClock clock_reset
set_interface_property cfg_tcvcmap_out dataBitsPerSymbol 24
set_interface_property cfg_tcvcmap_out errorDescriptor ""
set_interface_property cfg_tcvcmap_out maxChannel 0
set_interface_property cfg_tcvcmap_out readyLatency 0

set_interface_property cfg_tcvcmap_out ASSOCIATED_CLOCK clock_reset
set_interface_property cfg_tcvcmap_out ENABLED true

add_interface_port cfg_tcvcmap_out aso_cfg_tcvcmap_out_data data Output 24
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set USE_CFG_DEVCSR [ expr ( [ get_parameter_value USE_CFG_DEVCSR_OUT ] > 0 ) ? "1" : "0" ]
	if { ${USE_CFG_DEVCSR} > 0 } {
		set_interface_property cfg_devcsr_out ENABLED true
	} else {
		set_interface_property cfg_devcsr_out ENABLED false
	}

	set USE_CFG_LINKCSR [ expr ( [ get_parameter_value USE_CFG_LINKCSR_OUT ] > 0 ) ? "1" : "0" ]
	if { ${USE_CFG_LINKCSR} > 0 } {
		set_interface_property cfg_linkscr_out ENABLED true
	} else {
		set_interface_property cfg_linkscr_out ENABLED false
	}

	set USE_CFG_BUSDEV [ expr ( [ get_parameter_value USE_CFG_BUSDEV_OUT ] > 0 ) ? "1" : "0" ]
	if { ${USE_CFG_BUSDEV} > 0 } {
		set_interface_property cfg_busdev_out ENABLED true
	} else {
		set_interface_property cfg_busdev_out ENABLED false
	}

	set USE_CFG_MSICSR [ expr ( [ get_parameter_value USE_CFG_MSICSR_OUT ] > 0 ) ? "1" : "0" ]
	if { ${USE_CFG_MSICSR} > 0 } {
		set_interface_property cfg_msicsr_out ENABLED true
	} else {
		set_interface_property cfg_msicsr_out ENABLED false
	}

	set USE_CFG_TCVCMAP [ expr ( [ get_parameter_value USE_CFG_TCVCMAP_OUT ] > 0 ) ? "1" : "0" ]
	if { ${USE_CFG_TCVCMAP} > 0 } {
		set_interface_property cfg_tcvcmap_out ENABLED true
	} else {
		set_interface_property cfg_tcvcmap_out ENABLED false
	}
}
