#----------------------------------------------------------------------------------------------------
#-- (c)2010 Altera Corporation. All rights reserved.
#--
#-- Altera products are protected under numerous U.S. and foreign patents,
#-- maskwork rights, copyrights and other intellectual property laws.
#--
#-- This reference design file, and your use thereof, is subject to and governed
#-- by the terms and conditions of the applicable Altera Reference Design License
#-- Agreement (either as signed by you or found at www.altera.com).  By using
#-- this reference design file, you indicate your acceptance of such terms and
#-- conditions between you and Altera Corporation.  In the event that you do not
#-- agree with such terms and conditions, you may not use the reference design
#-- file and please promptly destroy any copies you have made.
#--
#-- This reference design file is being provided on an as-is basis and as an
#-- accommodation and therefore all warranties, representations or guarantees of
#-- any kind (whether express, implied or statutory) including, without
#-- limitation, warranties of merchantability, non-infringement, or fitness for
#-- a particular purpose, are specifically disclaimed.  By making this reference
#-- design file available, Altera expressly does not recommend, suggest or
#-- require that this reference design file be used in combination with any
#-- other product not provided by Altera.
#----------------------------------------------------------------------------------------------------

# TCL File Generated by Component Editor 9.1sp1
# Mon Jun 21 08:31:37 EDT 2010
# DO NOT MODIFY


# +-----------------------------------
# | 
# | slave2tlp_64b "slave2tlp_64b" v1.1
# | RSF 2010.06.21.08:31:37
# | 
# |    ./slave2tlp_64b.v syn, sim
# | 
# +-----------------------------------

# +-----------------------------------
# | request TCL package from ACDS 9.1
# | 
package require -exact sopc 9.1
# | 
# +-----------------------------------

# +-----------------------------------
# | module slave2tlp_64b
# | 
set_module_property DESCRIPTION "This peripheral translates an Avalon Slave transaction into a PCIe request TLP sequence."
set_module_property NAME slave2tlp_64b
set_module_property VERSION 1.1
set_module_property INTERNAL false
set_module_property GROUP "Modular PCIe Bridge Components"
set_module_property AUTHOR RSF
set_module_property DISPLAY_NAME slave2tlp_64b
set_module_property TOP_LEVEL_HDL_FILE slave2tlp_64b.v
set_module_property TOP_LEVEL_HDL_MODULE slave2tlp_64b
set_module_property INSTANTIATE_IN_SYSTEM_MODULE true
set_module_property EDITABLE false
set_module_property ANALYZE_HDL TRUE

set_module_property ELABORATION_CALLBACK my_elaboration_callback
# | 
# +-----------------------------------

# +-----------------------------------
# | files
# | 
add_file slave2tlp_64b.v {SYNTHESIS SIMULATION}
# | 
# +-----------------------------------

# +-----------------------------------
# | parameters
# | 
add_parameter SLAVE_ADDRESS_WIDTH INTEGER 9 "This is the word address port for the slave interface."
set_parameter_property SLAVE_ADDRESS_WIDTH DEFAULT_VALUE 9
set_parameter_property SLAVE_ADDRESS_WIDTH DISPLAY_NAME SLAVE_ADDRESS_WIDTH
set_parameter_property SLAVE_ADDRESS_WIDTH UNITS None
set_parameter_property SLAVE_ADDRESS_WIDTH DISPLAY_HINT ""
set_parameter_property SLAVE_ADDRESS_WIDTH AFFECTS_GENERATION false
set_parameter_property SLAVE_ADDRESS_WIDTH HDL_PARAMETER true

add_parameter MAX_READ_REQ_SIZE INTEGER 5 "This value should be synchronized with the reorder FIFO depth for received completions."
set_parameter_property MAX_READ_REQ_SIZE DEFAULT_VALUE 5
set_parameter_property MAX_READ_REQ_SIZE DISPLAY_NAME MAX_READ_REQ_SIZE
set_parameter_property MAX_READ_REQ_SIZE UNITS None
set_parameter_property MAX_READ_REQ_SIZE DISPLAY_HINT ""
set_parameter_property MAX_READ_REQ_SIZE AFFECTS_GENERATION false
set_parameter_property MAX_READ_REQ_SIZE HDL_PARAMETER true
set_parameter_property MAX_READ_REQ_SIZE ALLOWED_RANGES { \
 "0:0  -   128 Bytes" \
 "1:1  -   256 Bytes" \
 "2:2  -   512 Bytes" \
 "3:3  -  1024 Bytes" \
 "4:4  -  2048 Bytes" \
 "5:5  -  4096 Bytes" \
}

add_parameter AVAILABLE_TAG_COUNT INTEGER 16 "This is the number of tags which the slave interface will allocate and manage for read requests, it should be a power of 2."
set_parameter_property AVAILABLE_TAG_COUNT DEFAULT_VALUE 16
set_parameter_property AVAILABLE_TAG_COUNT DISPLAY_NAME AVAILABLE_TAG_COUNT
set_parameter_property AVAILABLE_TAG_COUNT UNITS None
set_parameter_property AVAILABLE_TAG_COUNT DISPLAY_HINT ""
set_parameter_property AVAILABLE_TAG_COUNT AFFECTS_GENERATION false
set_parameter_property AVAILABLE_TAG_COUNT HDL_PARAMETER true

add_parameter BASE_TAG_VALUE INTEGER 0 "This is the base tag value that this slave should use, it should be a power of 2."
set_parameter_property BASE_TAG_VALUE DEFAULT_VALUE 0
set_parameter_property BASE_TAG_VALUE DISPLAY_NAME BASE_TAG_VALUE
set_parameter_property BASE_TAG_VALUE UNITS None
set_parameter_property BASE_TAG_VALUE DISPLAY_HINT ""
set_parameter_property BASE_TAG_VALUE AFFECTS_GENERATION false
set_parameter_property BASE_TAG_VALUE HDL_PARAMETER true
# | 
# +-----------------------------------

# +-----------------------------------
# | display items
# | 
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point clock_reset
# | 
add_interface clock_reset clock end

set_interface_property clock_reset ENABLED true

add_interface_port clock_reset clk clk Input 1
add_interface_port clock_reset reset reset Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point devcsrsnk
# | 
add_interface devcsrsnk avalon_streaming end
set_interface_property devcsrsnk associatedClock clock_reset
set_interface_property devcsrsnk dataBitsPerSymbol 16
set_interface_property devcsrsnk errorDescriptor ""
set_interface_property devcsrsnk maxChannel 0
set_interface_property devcsrsnk readyLatency 0

set_interface_property devcsrsnk ASSOCIATED_CLOCK clock_reset
set_interface_property devcsrsnk ENABLED true

add_interface_port devcsrsnk asi_devcsrsnk_data data Input 16
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point busdevsnk
# | 
add_interface busdevsnk avalon_streaming end
set_interface_property busdevsnk associatedClock clock_reset
set_interface_property busdevsnk dataBitsPerSymbol 13
set_interface_property busdevsnk errorDescriptor ""
set_interface_property busdevsnk maxChannel 0
set_interface_property busdevsnk readyLatency 0

set_interface_property busdevsnk ASSOCIATED_CLOCK clock_reset
set_interface_property busdevsnk ENABLED true

add_interface_port busdevsnk asi_busdevsnk_data data Input 13
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point s0
# | 
add_interface s0 avalon end
set_interface_property s0 addressAlignment DYNAMIC
set_interface_property s0 associatedClock clock_reset
set_interface_property s0 burstOnBurstBoundariesOnly false
set_interface_property s0 explicitAddressSpan 0
set_interface_property s0 holdTime 0
set_interface_property s0 isMemoryDevice false
set_interface_property s0 isNonVolatileStorage false
set_interface_property s0 linewrapBursts false
set_interface_property s0 maximumPendingReadTransactions 1
set_interface_property s0 printableDevice false
set_interface_property s0 readLatency 0
set_interface_property s0 readWaitTime 1
set_interface_property s0 setupTime 0
set_interface_property s0 timingUnits Cycles
set_interface_property s0 writeWaitTime 0

set_interface_property s0 ASSOCIATED_CLOCK clock_reset
set_interface_property s0 ENABLED true

add_interface_port s0 avs_s0_address address Input SLAVE_ADDRESS_WIDTH
add_interface_port s0 avs_s0_byteenable byteenable Input 8
add_interface_port s0 avs_s0_burstcount burstcount Input 10
add_interface_port s0 avs_s0_read read Input 1
add_interface_port s0 avs_s0_write write Input 1
add_interface_port s0 avs_s0_writedata writedata Input 64
add_interface_port s0 avs_s0_waitrequest waitrequest Output 1
add_interface_port s0 avs_s0_readdata readdata Output 64
add_interface_port s0 avs_s0_readdatavalid readdatavalid Output 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point csr
# | 
add_interface csr avalon end
set_interface_property csr addressAlignment DYNAMIC
set_interface_property csr associatedClock clock_reset
set_interface_property csr burstOnBurstBoundariesOnly false
set_interface_property csr explicitAddressSpan 0
set_interface_property csr holdTime 0
set_interface_property csr isMemoryDevice false
set_interface_property csr isNonVolatileStorage false
set_interface_property csr linewrapBursts false
set_interface_property csr maximumPendingReadTransactions 0
set_interface_property csr printableDevice false
set_interface_property csr readLatency 0
set_interface_property csr readWaitTime 1
set_interface_property csr setupTime 0
set_interface_property csr timingUnits Cycles
set_interface_property csr writeWaitTime 0

set_interface_property csr ASSOCIATED_CLOCK clock_reset
set_interface_property csr ENABLED true

add_interface_port csr avs_csr_address address Input 2
add_interface_port csr avs_csr_byteenable byteenable Input 4
add_interface_port csr avs_csr_read read Input 1
add_interface_port csr avs_csr_write write Input 1
add_interface_port csr avs_csr_writedata writedata Input 32
add_interface_port csr avs_csr_readdata readdata Output 32
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point tagreq
# | 
add_interface tagreq avalon start
set_interface_property tagreq associatedClock clock_reset
set_interface_property tagreq burstOnBurstBoundariesOnly false
set_interface_property tagreq doStreamReads false
set_interface_property tagreq doStreamWrites false
set_interface_property tagreq linewrapBursts false

set_interface_property tagreq ASSOCIATED_CLOCK clock_reset
set_interface_property tagreq ENABLED true

add_interface_port tagreq avm_tagreq_address address Output 8
add_interface_port tagreq avm_tagreq_byteenable byteenable Output 4
add_interface_port tagreq avm_tagreq_write write Output 1
add_interface_port tagreq avm_tagreq_writedata writedata Output 32
add_interface_port tagreq avm_tagreq_waitrequest waitrequest Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point rddatasnk
# | 
add_interface rddatasnk avalon_streaming end
set_interface_property rddatasnk associatedClock clock_reset
set_interface_property rddatasnk dataBitsPerSymbol 64
set_interface_property rddatasnk errorDescriptor ""
set_interface_property rddatasnk maxChannel 0
set_interface_property rddatasnk readyLatency 0

set_interface_property rddatasnk ASSOCIATED_CLOCK clock_reset
set_interface_property rddatasnk ENABLED true

add_interface_port rddatasnk asi_rddatasnk_data data Input 64
add_interface_port rddatasnk asi_rddatasnk_ready ready Output 1
add_interface_port rddatasnk asi_rddatasnk_valid valid Input 1
add_interface_port rddatasnk asi_rddatasnk_startofpacket startofpacket Input 1
add_interface_port rddatasnk asi_rddatasnk_endofpacket endofpacket Input 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point eoplbesrc
# | 
add_interface eoplbesrc avalon_streaming start
set_interface_property eoplbesrc associatedClock clock_reset
set_interface_property eoplbesrc dataBitsPerSymbol 5
set_interface_property eoplbesrc errorDescriptor ""
set_interface_property eoplbesrc maxChannel 0
set_interface_property eoplbesrc readyLatency 0

set_interface_property eoplbesrc ASSOCIATED_CLOCK clock_reset
set_interface_property eoplbesrc ENABLED true

add_interface_port eoplbesrc aso_eoplbesrc_data data Output 5
add_interface_port eoplbesrc aso_eoplbesrc_ready ready Input 1
add_interface_port eoplbesrc aso_eoplbesrc_valid valid Output 1
# | 
# +-----------------------------------

# +-----------------------------------
# | connection point tlpsrc
# | 
add_interface tlpsrc avalon_streaming start
set_interface_property tlpsrc associatedClock clock_reset
set_interface_property tlpsrc dataBitsPerSymbol 64
set_interface_property tlpsrc errorDescriptor ""
set_interface_property tlpsrc maxChannel 0
set_interface_property tlpsrc readyLatency 0

set_interface_property tlpsrc ASSOCIATED_CLOCK clock_reset
set_interface_property tlpsrc ENABLED true

add_interface_port tlpsrc aso_tlpsrc_data data Output 64
add_interface_port tlpsrc aso_tlpsrc_ready ready Input 1
add_interface_port tlpsrc aso_tlpsrc_valid valid Output 1
add_interface_port tlpsrc aso_tlpsrc_startofpacket startofpacket Output 1
add_interface_port tlpsrc aso_tlpsrc_endofpacket endofpacket Output 1
# | 
# +-----------------------------------

proc my_elaboration_callback {} {

	set_interface_property s0 maximumPendingReadTransactions [ expr [ get_parameter_value AVAILABLE_TAG_COUNT ] + 1 ]

	set_module_assignment embeddedsw.CMacro.SLAVE_ADDRESS_WIDTH	[ get_parameter_value SLAVE_ADDRESS_WIDTH ]
	set_module_assignment embeddedsw.CMacro.MAX_READ_REQ_SIZE	[ get_parameter_value MAX_READ_REQ_SIZE ]
	set_module_assignment embeddedsw.CMacro.AVAILABLE_TAG_COUNT	[ get_parameter_value AVAILABLE_TAG_COUNT ]
	set_module_assignment embeddedsw.CMacro.BASE_TAG_VALUE		[ get_parameter_value BASE_TAG_VALUE ]
}
