#ifndef __SLAVE2TLP_64B_PIPED_PIPED_REGS_H__
#define __SLAVE2TLP_64B_PIPED_REGS_H__

#include <io.h>

// CSR layout from verilog module
//assign avs_csr_readdata =	( avs_csr_address == 2'h0 ) ? ( tlp_lower_address_bits ) :
//							( avs_csr_address == 2'h1 ) ? ( tlp_upper_address_bits ) :
//							( avs_csr_address == 2'h2 ) ? ( { { 29 { 1'b0 } }, tlp_tc_bits } ) :
//														  ( { { 27 { 1'b0 } }, extended_tag_field_enable_field, tag_allocate_error, tag_overrun_error, next_tag_available, avm_tagreq_write } );

#define SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG					0
#define IORD_SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG(base)			IORD_32DIRECT( base, SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG )
#define IOWR_SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG(base, data)	IOWR_32DIRECT( base, SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG, data )

#define SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG_MASK				( 0xFFFFFFFF )
#define SLAVE2TLP_64B_PIPED_LOWER_ADDR_REG_OFST				( 0 )

#define SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG					1
#define IORD_SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG(base)		IORD_32DIRECT( base, SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG )
#define IOWR_SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG(base, data)	IOWR_32DIRECT( base, SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG, data )

#define SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG_MASK				( 0xFFFFFFFF )
#define SLAVE2TLP_64B_PIPED_UPPER_ADDR_REG_OFST				( 0 )

#define SLAVE2TLP_64B_PIPED_CNTL_REG						2
#define IORD_SLAVE2TLP_64B_PIPED_CNTL_REG(base)				IORD_32DIRECT( base, SLAVE2TLP_64B_PIPED_CNTL_REG )
#define IOWR_SLAVE2TLP_64B_PIPED_CNTL_REG(base, data)		IOWR_32DIRECT( base, SLAVE2TLP_64B_PIPED_CNTL_REG, data )

#define SLAVE2TLP_64B_PIPED_TC_BITS_MASK					( 0x7 )
#define SLAVE2TLP_64B_PIPED_TC_BITS_OFST					( 0 )

#define SLAVE2TLP_64B_PIPED_STATUS_REG						3
#define IORD_SLAVE2TLP_64B_PIPED_STATUS_REG(base)			IORD_32DIRECT( base, SLAVE2TLP_64B_PIPED_STATUS_REG )

#define SLAVE2TLP_64B_PIPED_TAG_REQ_WRITE_MASK				( 0x1 )
#define SLAVE2TLP_64B_PIPED_TAG_REQ_WRITE_OFST				( 0 )

#define SLAVE2TLP_64B_PIPED_NEXT_TAG_AVAIL_MASK				( 0x1 )
#define SLAVE2TLP_64B_PIPED_NEXT_TAG_AVAIL_OFST				( 1 )

#define SLAVE2TLP_64B_PIPED_TAG_OVERRUN_ERR_MASK			( 0x1 )
#define SLAVE2TLP_64B_PIPED_TAG_OVERRUN_ERR_OFST			( 2 )

#define SLAVE2TLP_64B_PIPED_TAG_ALLOC_ERR_MASK				( 0x1 )
#define SLAVE2TLP_64B_PIPED_TAG_ALLOC_ERR_OFST				( 3 )

#define SLAVE2TLP_64B_PIPED_EXTENDED_TAG_EN_MASK			( 0x1 )
#define SLAVE2TLP_64B_PIPED_EXTENDED_TAG_EN_OFST			( 4 )

#endif /* __SLAVE2TLP_64B_PIPED_PIPED_REGS_H__ */
