#!/bin/sh

# Generate the PCIe core variation.

qmegawiz -silent OPTIONAL_FILES=SIM_NETLIST my_pcie_gen2x4.v

# Generate the SOPC system.

sopc_builder --generate

# Generate a memory initialization file for the onchip RAM model and copy it into the PCIe test bench
./make_ram_init.sh
rm -f ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_0.hex
rm -f ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_2.hex
cp ./onchip_ram_init.hex ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_0.hex
cp ./onchip_ram_init.hex ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_2.hex

# Copy the source modification files over to the PCIe test bench

rm -f ./my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/my_pcie_gen2x4_chaining_testbench.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist

cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v ./my_pcie_gen2x4_examples/chaining_dma/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/my_pcie_gen2x4_chaining_testbench.v ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/rsf_wave.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/

# Change directory into the PCIe test bench and run the runtb.do script in batch mode thru ModelSim.

cd ./my_pcie_gen2x4_examples/chaining_dma/testbench/

vsim < runtb.do
