module register_wrapper
#(
	parameter INSIG_WIDTH  = 0,
	parameter OUTSIG_WIDTH = 0
)
(
	clk,
	reset_n,

	insig_in,
	outsig_out
);

input	wire							clk;
input	wire							reset_n;

input	[  ( INSIG_WIDTH - 1 ) : 0 ]	insig_in;
output	[ ( OUTSIG_WIDTH - 1 ) : 0 ]	outsig_out;

reg		[  ( INSIG_WIDTH - 1 ) : 0 ]	reg_in;
reg		[ ( OUTSIG_WIDTH - 1 ) : 0 ]	reg_out;

wire	[  ( INSIG_WIDTH - 1 ) : 0 ]	in_vect;
wire	[ ( OUTSIG_WIDTH - 1 ) : 0 ]	out_vect;

reg										my_reset_n;

//
// instance input signal wires
//
wire  pld_clk_sig;
wire  reset_n_sig;
wire [19:0] avm_m0_address_from_the_MasterBreakout_32b_1m_0_sig;
wire [3:0] avm_m0_byteenable_from_the_MasterBreakout_32b_1m_0_sig;
wire  avm_m0_read_from_the_MasterBreakout_32b_1m_0_sig;
wire  avm_m0_write_from_the_MasterBreakout_32b_1m_0_sig;
wire [31:0] avm_m0_writedata_from_the_MasterBreakout_32b_1m_0_sig;
wire [31:0] avm_m0_address_from_the_MasterBreakout_64b_4g_0_sig;
wire [9:0] avm_m0_burstcount_from_the_MasterBreakout_64b_4g_0_sig;
wire [7:0] avm_m0_byteenable_from_the_MasterBreakout_64b_4g_0_sig;
wire  avm_m0_read_from_the_MasterBreakout_64b_4g_0_sig;
wire  avm_m0_write_from_the_MasterBreakout_64b_4g_0_sig;
wire [63:0] avm_m0_writedata_from_the_MasterBreakout_64b_4g_0_sig;
wire [63:0] avs_s0_readdata_from_the_SlaveBreakout_0_sig;
wire  avs_s0_readdatavalid_from_the_SlaveBreakout_0_sig;
wire  avs_s0_waitrequest_from_the_SlaveBreakout_0_sig;
wire [63:0] avs_s0_readdata_from_the_SlaveBreakout_2_sig;
wire  avs_s0_readdatavalid_from_the_SlaveBreakout_2_sig;
wire  avs_s0_waitrequest_from_the_SlaveBreakout_2_sig;
wire  coe_lmi_ack_to_the_pcieb_lmi_slave_sig;
wire [31:0] coe_lmi_dout_to_the_pcieb_lmi_slave_sig;
wire [7:0] aso_out0_channel_from_the_pcieb_st_rx_src_64b_sig;
wire [63:0] aso_out0_data_from_the_pcieb_st_rx_src_64b_sig;
wire  aso_out0_endofpacket_from_the_pcieb_st_rx_src_64b_sig;
wire  aso_out0_startofpacket_from_the_pcieb_st_rx_src_64b_sig;
wire  aso_out0_valid_from_the_pcieb_st_rx_src_64b_sig;
wire [36:0] aso_out1_data_from_the_pcieb_st_tl_cfg_ctl_src_sig;
wire  asi_in0_ready_from_the_pcieb_st_tx_snk_64b_sig;

//
// instance output signal wires
//
wire [31:0] avm_m0_readdata_to_the_MasterBreakout_32b_1m_0_sig;
wire  avm_m0_readdatavalid_to_the_MasterBreakout_32b_1m_0_sig;
wire  avm_m0_waitrequest_to_the_MasterBreakout_32b_1m_0_sig;
wire  reset_to_the_MasterBreakout_32b_1m_0_sig;
wire [63:0] avm_m0_readdata_to_the_MasterBreakout_64b_4g_0_sig;
wire  avm_m0_readdatavalid_to_the_MasterBreakout_64b_4g_0_sig;
wire  avm_m0_waitrequest_to_the_MasterBreakout_64b_4g_0_sig;
wire  reset_to_the_MasterBreakout_64b_4g_0_sig;
wire [11:0] avs_s0_address_to_the_SlaveBreakout_0_sig;
wire [9:0] avs_s0_burstcount_to_the_SlaveBreakout_0_sig;
wire [7:0] avs_s0_byteenable_to_the_SlaveBreakout_0_sig;
wire  avs_s0_read_to_the_SlaveBreakout_0_sig;
wire  avs_s0_write_to_the_SlaveBreakout_0_sig;
wire [63:0] avs_s0_writedata_to_the_SlaveBreakout_0_sig;
wire  reset_to_the_SlaveBreakout_0_sig;
wire [11:0] avs_s0_address_to_the_SlaveBreakout_2_sig;
wire [9:0] avs_s0_burstcount_to_the_SlaveBreakout_2_sig;
wire [7:0] avs_s0_byteenable_to_the_SlaveBreakout_2_sig;
wire  avs_s0_read_to_the_SlaveBreakout_2_sig;
wire  avs_s0_write_to_the_SlaveBreakout_2_sig;
wire [63:0] avs_s0_writedata_to_the_SlaveBreakout_2_sig;
wire  reset_to_the_SlaveBreakout_2_sig;
wire [11:0] coe_lmi_addr_from_the_pcieb_lmi_slave_sig;
wire [31:0] coe_lmi_din_from_the_pcieb_lmi_slave_sig;
wire  coe_lmi_rden_from_the_pcieb_lmi_slave_sig;
wire  coe_lmi_wren_from_the_pcieb_lmi_slave_sig;
wire  aso_out0_ready_to_the_pcieb_st_rx_src_64b_sig;
wire  reset_to_the_pcieb_st_rx_src_64b_sig;
wire  reset_to_the_pcieb_st_tl_cfg_ctl_src_sig;
wire [63:0] asi_in0_data_to_the_pcieb_st_tx_snk_64b_sig;
wire  asi_in0_endofpacket_to_the_pcieb_st_tx_snk_64b_sig;
wire  asi_in0_startofpacket_to_the_pcieb_st_tx_snk_64b_sig;
wire  asi_in0_valid_to_the_pcieb_st_tx_snk_64b_sig;
wire  reset_to_the_pcieb_st_tx_snk_64b_sig;

//
// assign clock and reset drivers
//
assign pld_clk_sig = clk;
assign reset_n_sig = my_reset_n;	//  my_reset_n for negative asserted reset
//assign FIXME_reset_sig = ~my_reset_n;		// ~my_reset_n for positive asserted reset

//
// map input and output registers to input and output vectors
//
assign in_vect = reg_in;
assign outsig_out = reg_out;

//
// map input and output vectors to instance inputs and outputs
//
assign {
	avm_m0_address_from_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_byteenable_from_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_read_from_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_write_from_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_writedata_from_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_address_from_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_burstcount_from_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_byteenable_from_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_read_from_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_write_from_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_writedata_from_the_MasterBreakout_64b_4g_0_sig,
	avs_s0_readdata_from_the_SlaveBreakout_0_sig,
	avs_s0_readdatavalid_from_the_SlaveBreakout_0_sig,
	avs_s0_waitrequest_from_the_SlaveBreakout_0_sig,
	avs_s0_readdata_from_the_SlaveBreakout_2_sig,
	avs_s0_readdatavalid_from_the_SlaveBreakout_2_sig,
	avs_s0_waitrequest_from_the_SlaveBreakout_2_sig,
	coe_lmi_ack_to_the_pcieb_lmi_slave_sig,
	coe_lmi_dout_to_the_pcieb_lmi_slave_sig,
	aso_out0_channel_from_the_pcieb_st_rx_src_64b_sig,
	aso_out0_data_from_the_pcieb_st_rx_src_64b_sig,
	aso_out0_endofpacket_from_the_pcieb_st_rx_src_64b_sig,
	aso_out0_startofpacket_from_the_pcieb_st_rx_src_64b_sig,
	aso_out0_valid_from_the_pcieb_st_rx_src_64b_sig,
	aso_out1_data_from_the_pcieb_st_tl_cfg_ctl_src_sig,
	asi_in0_ready_from_the_pcieb_st_tx_snk_64b_sig
} = in_vect;

assign out_vect = {
	avm_m0_readdata_to_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_readdatavalid_to_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_waitrequest_to_the_MasterBreakout_32b_1m_0_sig,
	reset_to_the_MasterBreakout_32b_1m_0_sig,
	avm_m0_readdata_to_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_readdatavalid_to_the_MasterBreakout_64b_4g_0_sig,
	avm_m0_waitrequest_to_the_MasterBreakout_64b_4g_0_sig,
	reset_to_the_MasterBreakout_64b_4g_0_sig,
	avs_s0_address_to_the_SlaveBreakout_0_sig,
	avs_s0_burstcount_to_the_SlaveBreakout_0_sig,
	avs_s0_byteenable_to_the_SlaveBreakout_0_sig,
	avs_s0_read_to_the_SlaveBreakout_0_sig,
	avs_s0_write_to_the_SlaveBreakout_0_sig,
	avs_s0_writedata_to_the_SlaveBreakout_0_sig,
	reset_to_the_SlaveBreakout_0_sig,
	avs_s0_address_to_the_SlaveBreakout_2_sig,
	avs_s0_burstcount_to_the_SlaveBreakout_2_sig,
	avs_s0_byteenable_to_the_SlaveBreakout_2_sig,
	avs_s0_read_to_the_SlaveBreakout_2_sig,
	avs_s0_write_to_the_SlaveBreakout_2_sig,
	avs_s0_writedata_to_the_SlaveBreakout_2_sig,
	reset_to_the_SlaveBreakout_2_sig,
	coe_lmi_addr_from_the_pcieb_lmi_slave_sig,
	coe_lmi_din_from_the_pcieb_lmi_slave_sig,
	coe_lmi_rden_from_the_pcieb_lmi_slave_sig,
	coe_lmi_wren_from_the_pcieb_lmi_slave_sig,
	aso_out0_ready_to_the_pcieb_st_rx_src_64b_sig,
	reset_to_the_pcieb_st_rx_src_64b_sig,
	reset_to_the_pcieb_st_tl_cfg_ctl_src_sig,
	asi_in0_data_to_the_pcieb_st_tx_snk_64b_sig,
	asi_in0_endofpacket_to_the_pcieb_st_tx_snk_64b_sig,
	asi_in0_startofpacket_to_the_pcieb_st_tx_snk_64b_sig,
	asi_in0_valid_to_the_pcieb_st_tx_snk_64b_sig,
	reset_to_the_pcieb_st_tx_snk_64b_sig
};

always @ ( posedge clk ) begin
	
		my_reset_n <= reset_n;
end

always @ ( posedge clk or negedge my_reset_n ) begin
	
	if( ~my_reset_n ) begin
	
		reg_in <= 0;
		reg_out <= 0;
		
	end else begin
	
		reg_in <= insig_in;
		reg_out <= out_vect;

	end
end

//
// instanctiate test instance here
//
test_sys_sopc test_sys_sopc_inst
(
	.pld_clk(pld_clk_sig) ,	// input  pld_clk_sig
	.reset_n(reset_n_sig) ,	// input  reset_n_sig
	.avm_m0_address_from_the_MasterBreakout_32b_1m_0(avm_m0_address_from_the_MasterBreakout_32b_1m_0_sig) ,	// input [19:0] avm_m0_address_from_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_byteenable_from_the_MasterBreakout_32b_1m_0(avm_m0_byteenable_from_the_MasterBreakout_32b_1m_0_sig) ,	// input [3:0] avm_m0_byteenable_from_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_read_from_the_MasterBreakout_32b_1m_0(avm_m0_read_from_the_MasterBreakout_32b_1m_0_sig) ,	// input  avm_m0_read_from_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_readdata_to_the_MasterBreakout_32b_1m_0(avm_m0_readdata_to_the_MasterBreakout_32b_1m_0_sig) ,	// output [31:0] avm_m0_readdata_to_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_readdatavalid_to_the_MasterBreakout_32b_1m_0(avm_m0_readdatavalid_to_the_MasterBreakout_32b_1m_0_sig) ,	// output  avm_m0_readdatavalid_to_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_waitrequest_to_the_MasterBreakout_32b_1m_0(avm_m0_waitrequest_to_the_MasterBreakout_32b_1m_0_sig) ,	// output  avm_m0_waitrequest_to_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_write_from_the_MasterBreakout_32b_1m_0(avm_m0_write_from_the_MasterBreakout_32b_1m_0_sig) ,	// input  avm_m0_write_from_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_writedata_from_the_MasterBreakout_32b_1m_0(avm_m0_writedata_from_the_MasterBreakout_32b_1m_0_sig) ,	// input [31:0] avm_m0_writedata_from_the_MasterBreakout_32b_1m_0_sig
	.reset_to_the_MasterBreakout_32b_1m_0(reset_to_the_MasterBreakout_32b_1m_0_sig) ,	// output  reset_to_the_MasterBreakout_32b_1m_0_sig
	.avm_m0_address_from_the_MasterBreakout_64b_4g_0(avm_m0_address_from_the_MasterBreakout_64b_4g_0_sig) ,	// input [31:0] avm_m0_address_from_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_burstcount_from_the_MasterBreakout_64b_4g_0(avm_m0_burstcount_from_the_MasterBreakout_64b_4g_0_sig) ,	// input [9:0] avm_m0_burstcount_from_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_byteenable_from_the_MasterBreakout_64b_4g_0(avm_m0_byteenable_from_the_MasterBreakout_64b_4g_0_sig) ,	// input [7:0] avm_m0_byteenable_from_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_read_from_the_MasterBreakout_64b_4g_0(avm_m0_read_from_the_MasterBreakout_64b_4g_0_sig) ,	// input  avm_m0_read_from_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_readdata_to_the_MasterBreakout_64b_4g_0(avm_m0_readdata_to_the_MasterBreakout_64b_4g_0_sig) ,	// output [63:0] avm_m0_readdata_to_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_readdatavalid_to_the_MasterBreakout_64b_4g_0(avm_m0_readdatavalid_to_the_MasterBreakout_64b_4g_0_sig) ,	// output  avm_m0_readdatavalid_to_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_waitrequest_to_the_MasterBreakout_64b_4g_0(avm_m0_waitrequest_to_the_MasterBreakout_64b_4g_0_sig) ,	// output  avm_m0_waitrequest_to_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_write_from_the_MasterBreakout_64b_4g_0(avm_m0_write_from_the_MasterBreakout_64b_4g_0_sig) ,	// input  avm_m0_write_from_the_MasterBreakout_64b_4g_0_sig
	.avm_m0_writedata_from_the_MasterBreakout_64b_4g_0(avm_m0_writedata_from_the_MasterBreakout_64b_4g_0_sig) ,	// input [63:0] avm_m0_writedata_from_the_MasterBreakout_64b_4g_0_sig
	.reset_to_the_MasterBreakout_64b_4g_0(reset_to_the_MasterBreakout_64b_4g_0_sig) ,	// output  reset_to_the_MasterBreakout_64b_4g_0_sig
	.avs_s0_address_to_the_SlaveBreakout_0(avs_s0_address_to_the_SlaveBreakout_0_sig) ,	// output [11:0] avs_s0_address_to_the_SlaveBreakout_0_sig
	.avs_s0_burstcount_to_the_SlaveBreakout_0(avs_s0_burstcount_to_the_SlaveBreakout_0_sig) ,	// output [9:0] avs_s0_burstcount_to_the_SlaveBreakout_0_sig
	.avs_s0_byteenable_to_the_SlaveBreakout_0(avs_s0_byteenable_to_the_SlaveBreakout_0_sig) ,	// output [7:0] avs_s0_byteenable_to_the_SlaveBreakout_0_sig
	.avs_s0_read_to_the_SlaveBreakout_0(avs_s0_read_to_the_SlaveBreakout_0_sig) ,	// output  avs_s0_read_to_the_SlaveBreakout_0_sig
	.avs_s0_readdata_from_the_SlaveBreakout_0(avs_s0_readdata_from_the_SlaveBreakout_0_sig) ,	// input [63:0] avs_s0_readdata_from_the_SlaveBreakout_0_sig
	.avs_s0_readdatavalid_from_the_SlaveBreakout_0(avs_s0_readdatavalid_from_the_SlaveBreakout_0_sig) ,	// input  avs_s0_readdatavalid_from_the_SlaveBreakout_0_sig
	.avs_s0_waitrequest_from_the_SlaveBreakout_0(avs_s0_waitrequest_from_the_SlaveBreakout_0_sig) ,	// input  avs_s0_waitrequest_from_the_SlaveBreakout_0_sig
	.avs_s0_write_to_the_SlaveBreakout_0(avs_s0_write_to_the_SlaveBreakout_0_sig) ,	// output  avs_s0_write_to_the_SlaveBreakout_0_sig
	.avs_s0_writedata_to_the_SlaveBreakout_0(avs_s0_writedata_to_the_SlaveBreakout_0_sig) ,	// output [63:0] avs_s0_writedata_to_the_SlaveBreakout_0_sig
	.reset_to_the_SlaveBreakout_0(reset_to_the_SlaveBreakout_0_sig) ,	// output  reset_to_the_SlaveBreakout_0_sig
	.avs_s0_address_to_the_SlaveBreakout_2(avs_s0_address_to_the_SlaveBreakout_2_sig) ,	// output [11:0] avs_s0_address_to_the_SlaveBreakout_2_sig
	.avs_s0_burstcount_to_the_SlaveBreakout_2(avs_s0_burstcount_to_the_SlaveBreakout_2_sig) ,	// output [9:0] avs_s0_burstcount_to_the_SlaveBreakout_2_sig
	.avs_s0_byteenable_to_the_SlaveBreakout_2(avs_s0_byteenable_to_the_SlaveBreakout_2_sig) ,	// output [7:0] avs_s0_byteenable_to_the_SlaveBreakout_2_sig
	.avs_s0_read_to_the_SlaveBreakout_2(avs_s0_read_to_the_SlaveBreakout_2_sig) ,	// output  avs_s0_read_to_the_SlaveBreakout_2_sig
	.avs_s0_readdata_from_the_SlaveBreakout_2(avs_s0_readdata_from_the_SlaveBreakout_2_sig) ,	// input [63:0] avs_s0_readdata_from_the_SlaveBreakout_2_sig
	.avs_s0_readdatavalid_from_the_SlaveBreakout_2(avs_s0_readdatavalid_from_the_SlaveBreakout_2_sig) ,	// input  avs_s0_readdatavalid_from_the_SlaveBreakout_2_sig
	.avs_s0_waitrequest_from_the_SlaveBreakout_2(avs_s0_waitrequest_from_the_SlaveBreakout_2_sig) ,	// input  avs_s0_waitrequest_from_the_SlaveBreakout_2_sig
	.avs_s0_write_to_the_SlaveBreakout_2(avs_s0_write_to_the_SlaveBreakout_2_sig) ,	// output  avs_s0_write_to_the_SlaveBreakout_2_sig
	.avs_s0_writedata_to_the_SlaveBreakout_2(avs_s0_writedata_to_the_SlaveBreakout_2_sig) ,	// output [63:0] avs_s0_writedata_to_the_SlaveBreakout_2_sig
	.reset_to_the_SlaveBreakout_2(reset_to_the_SlaveBreakout_2_sig) ,	// output  reset_to_the_SlaveBreakout_2_sig
	.coe_lmi_ack_to_the_pcieb_lmi_slave(coe_lmi_ack_to_the_pcieb_lmi_slave_sig) ,	// input  coe_lmi_ack_to_the_pcieb_lmi_slave_sig
	.coe_lmi_addr_from_the_pcieb_lmi_slave(coe_lmi_addr_from_the_pcieb_lmi_slave_sig) ,	// output [11:0] coe_lmi_addr_from_the_pcieb_lmi_slave_sig
	.coe_lmi_din_from_the_pcieb_lmi_slave(coe_lmi_din_from_the_pcieb_lmi_slave_sig) ,	// output [31:0] coe_lmi_din_from_the_pcieb_lmi_slave_sig
	.coe_lmi_dout_to_the_pcieb_lmi_slave(coe_lmi_dout_to_the_pcieb_lmi_slave_sig) ,	// input [31:0] coe_lmi_dout_to_the_pcieb_lmi_slave_sig
	.coe_lmi_rden_from_the_pcieb_lmi_slave(coe_lmi_rden_from_the_pcieb_lmi_slave_sig) ,	// output  coe_lmi_rden_from_the_pcieb_lmi_slave_sig
	.coe_lmi_wren_from_the_pcieb_lmi_slave(coe_lmi_wren_from_the_pcieb_lmi_slave_sig) ,	// output  coe_lmi_wren_from_the_pcieb_lmi_slave_sig
	.aso_out0_channel_from_the_pcieb_st_rx_src_64b(aso_out0_channel_from_the_pcieb_st_rx_src_64b_sig) ,	// input [7:0] aso_out0_channel_from_the_pcieb_st_rx_src_64b_sig
	.aso_out0_data_from_the_pcieb_st_rx_src_64b(aso_out0_data_from_the_pcieb_st_rx_src_64b_sig) ,	// input [63:0] aso_out0_data_from_the_pcieb_st_rx_src_64b_sig
	.aso_out0_endofpacket_from_the_pcieb_st_rx_src_64b(aso_out0_endofpacket_from_the_pcieb_st_rx_src_64b_sig) ,	// input  aso_out0_endofpacket_from_the_pcieb_st_rx_src_64b_sig
	.aso_out0_ready_to_the_pcieb_st_rx_src_64b(aso_out0_ready_to_the_pcieb_st_rx_src_64b_sig) ,	// output  aso_out0_ready_to_the_pcieb_st_rx_src_64b_sig
	.aso_out0_startofpacket_from_the_pcieb_st_rx_src_64b(aso_out0_startofpacket_from_the_pcieb_st_rx_src_64b_sig) ,	// input  aso_out0_startofpacket_from_the_pcieb_st_rx_src_64b_sig
	.aso_out0_valid_from_the_pcieb_st_rx_src_64b(aso_out0_valid_from_the_pcieb_st_rx_src_64b_sig) ,	// input  aso_out0_valid_from_the_pcieb_st_rx_src_64b_sig
	.reset_to_the_pcieb_st_rx_src_64b(reset_to_the_pcieb_st_rx_src_64b_sig) ,	// output  reset_to_the_pcieb_st_rx_src_64b_sig
	.aso_out1_data_from_the_pcieb_st_tl_cfg_ctl_src(aso_out1_data_from_the_pcieb_st_tl_cfg_ctl_src_sig) ,	// input [36:0] aso_out1_data_from_the_pcieb_st_tl_cfg_ctl_src_sig
	.reset_to_the_pcieb_st_tl_cfg_ctl_src(reset_to_the_pcieb_st_tl_cfg_ctl_src_sig) ,	// output  reset_to_the_pcieb_st_tl_cfg_ctl_src_sig
	.asi_in0_data_to_the_pcieb_st_tx_snk_64b(asi_in0_data_to_the_pcieb_st_tx_snk_64b_sig) ,	// output [63:0] asi_in0_data_to_the_pcieb_st_tx_snk_64b_sig
	.asi_in0_endofpacket_to_the_pcieb_st_tx_snk_64b(asi_in0_endofpacket_to_the_pcieb_st_tx_snk_64b_sig) ,	// output  asi_in0_endofpacket_to_the_pcieb_st_tx_snk_64b_sig
	.asi_in0_ready_from_the_pcieb_st_tx_snk_64b(asi_in0_ready_from_the_pcieb_st_tx_snk_64b_sig) ,	// input  asi_in0_ready_from_the_pcieb_st_tx_snk_64b_sig
	.asi_in0_startofpacket_to_the_pcieb_st_tx_snk_64b(asi_in0_startofpacket_to_the_pcieb_st_tx_snk_64b_sig) ,	// output  asi_in0_startofpacket_to_the_pcieb_st_tx_snk_64b_sig
	.asi_in0_valid_to_the_pcieb_st_tx_snk_64b(asi_in0_valid_to_the_pcieb_st_tx_snk_64b_sig) ,	// output  asi_in0_valid_to_the_pcieb_st_tx_snk_64b_sig
	.reset_to_the_pcieb_st_tx_snk_64b(reset_to_the_pcieb_st_tx_snk_64b_sig) 	// output  reset_to_the_pcieb_st_tx_snk_64b_sig
);

endmodule
