#!/bin/sh

if [ $# -ne 1 ] ; then
	echo ""
	echo "Usage: sweep.sh <sweep count>"
	echo ""
	
	exit 1
fi

if [ ${1} -lt 1 -o ${1} -gt 100  ] ; then
	echo ""
	echo "Error <sweep count> must be between 1 and 100."
	echo ""
	echo "Usage: sweep.sh <sweep count>"
	echo ""
	
	exit 1
fi

NEXT_SEED=1

while [ ${NEXT_SEED} -le ${1} ] ; do
	quartus_sh --set SEED=${NEXT_SEED} test_project
	quartus_sh --flow compile test_project -c test_project_top
	
	mv test_project_top.sta.rpt seed_${NEXT_SEED}_test_project_top.sta.rpt
	mv test_project_top.fit.rpt seed_${NEXT_SEED}_test_project_top.fit.rpt

	NEXT_SEED=$( expr ${NEXT_SEED} + 1 )
done

./check_sweep_results.sh
