#!/bin/sh

# Generate the PCIe core variation.

qmegawiz -silent OPTIONAL_FILES=SIM_NETLIST my_pcie_gen2x4.v

# Generate the SOPC system.

sopc_builder --generate

# Generate a memory initialization file for the onchip RAM model and copy it into the PCIe test bench
./make_ram_init.sh
rm -f ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_0.hex
rm -f ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_2.hex
cp ./onchip_ram_init.hex ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_0.hex
cp ./onchip_ram_init.hex ./my_pcie_gen2x4_examples/chaining_dma/onchip_RAM_2.hex

# Copy the source modification files over to the PCIe test bench

rm -f ./my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/my_pcie_gen2x4_chaining_testbench.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist

cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v ./my_pcie_gen2x4_examples/chaining_dma/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/my_pcie_gen2x4_chaining_testbench.v ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/rsf_wave.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/

# build the software application and BSP

pushd software/raw_tlp_test/ > /dev/null
./create-this-app
make mem_init_install
popd > /dev/null

# copy the CPU RAM initialization image into the PCIe test bench location

rm -f my_pcie_gen2x4_examples/chaining_dma/cpu_ram.hex

cp ./cpu_ram.hex my_pcie_gen2x4_examples/chaining_dma/

# copy the initialization images for the internal Nios II core memories into the PCIe test bench location

rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_bht_ram.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_dc_tag_ram.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_ic_tag_ram.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_ociram_default_contents.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_ram.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_rf_ram_a.dat
rm -f my_pcie_gen2x4_examples/chaining_dma/testbench/cpu_rf_ram_b.dat

cp test_sys_sopc_sim/cpu_bht_ram.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_dc_tag_ram.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_ic_tag_ram.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_ociram_default_contents.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_ram.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_rf_ram_a.dat my_pcie_gen2x4_examples/chaining_dma/testbench/
cp test_sys_sopc_sim/cpu_rf_ram_b.dat my_pcie_gen2x4_examples/chaining_dma/testbench/

# Change directory into the PCIe test bench and run the runtb.do script in batch mode thru ModelSim.

cd ./my_pcie_gen2x4_examples/chaining_dma/testbench/

vsim < runtb.do
