//change this file for different test case
initial
begin
  @ start_test;
  
//
//	Read all valid byte combinations thru an entire 64-bit word
//
	burst_count = 1;	// signal burst 1 word
	burst_size = 1;		// and burst 1 word
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	command_addr = `PCIE_32BIT_TEST_ADDR_OFFSET;
	command_data = 64'h0123_4567_89AB_CDEF;

	for ( int j = 0 ; j < 8 ; j++ ) begin

		byte_enable = 8'hFF >> ( 7 - j );
		command_data_mask = 64'hFFFF_FFFF_FFFF_FFFF >> ( ( 7 - j ) * 8 );
		for ( int i = 0 ; i < ( 8 - j ) ; i++ ) begin
		
			master_data_scoreboard.push_back( command_data );
			master_mask_scoreboard.push_back( command_data_mask );
			
			master_set_and_push_command(REQ_READ, command_addr, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
			
			command_data_mask = command_data_mask << 8;
			byte_enable = byte_enable << 1;
		end
	end

//
//	Begin single word write tests
//
	index_4k = 0;
	command_addr = ( index_4k * ( 4 * 1024 ) ) + ( 16 * 1024 ) + `PCIE_32BIT_TEST_ADDR_OFFSET;
	command_addr_base = command_addr;

//
//	Write all valid byte combinations thru an entire 64-bit word
//
	burst_count = 1;	// signal burst 1 word
	burst_size = 1;		// and burst 1 word
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	command_data = 64'h8786858483828180;
	
	for( int j = 0 ; j < 8 ; j++ ) begin

		byte_enable = 8'hFF >> j;
		command_data_mask = 64'hFFFF_FFFF_FFFF_FFFF >> ( j * 8 );
		for ( int i = 0 ; i < ( j + 1 ) ; i++ ) begin
		
			master_data_scoreboard.push_back( command_data );
			master_mask_scoreboard.push_back( command_data_mask );
			
			master_set_and_push_command(REQ_WRITE, command_addr, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
			
			command_data_mask = command_data_mask << 8;
			byte_enable = byte_enable << 1;
			
			command_addr = command_addr + 8;
		end
		command_data = command_data - 64'h1010_1010_1010_1010;
	end
//
//	Read back and validate the write data to this point
//
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	
	burst_count = ( command_addr - command_addr_base ) / 8;
	burst_size = burst_count;

	byte_enable = 8'hFF;
	command_data = 64'h0;

	master_set_and_push_command(REQ_READ, command_addr_base, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
		
//
// TOGGLE to 64-bit address
//
	wait( checked == request_count );

	burst_count = 1;		// signal burst 1 word
	burst_size = 1;		// and burst 1 word
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay

	command_addr = `SLAVE_0_CSR_BASE;
	byte_enable = 'hFF;
	command_data = 'h0000000100000000;
	master_set_and_push_command(REQ_WRITE, command_addr, command_data, byte_enable, burst_count, burst_size, idle, init_latency);

//
//	Read all valid byte combinations thru an entire 64-bit word
//
	burst_count = 1;	// signal burst 1 word
	burst_size = 1;		// and burst 1 word
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	command_addr = `PCIE_64BIT_TEST_ADDR_OFFSET;
	command_data = 64'hFEDC_BA98_7654_3210;

	for ( int j = 0 ; j < 8 ; j++ ) begin

		byte_enable = 8'hFF >> ( 7 - j );
		command_data_mask = 64'hFFFF_FFFF_FFFF_FFFF >> ( ( 7 - j ) * 8 );
		for ( int i = 0 ; i < ( 8 - j ) ; i++ ) begin
		
			master_data_scoreboard.push_back( command_data );
			master_mask_scoreboard.push_back( command_data_mask );
			
			master_set_and_push_command(REQ_READ, command_addr, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
			
			command_data_mask = command_data_mask << 8;
			byte_enable = byte_enable << 1;
		end
	end

//
//	Begin single word write tests
//
	index_4k = 0;
	command_addr = ( index_4k * ( 4 * 1024 ) ) + ( 16 * 1024 ) + `PCIE_64BIT_TEST_ADDR_OFFSET;
	command_addr_base = command_addr;

//
//	Write all valid byte combinations thru an entire 64-bit word
//
	burst_count = 1;	// signal burst 1 word
	burst_size = 1;		// and burst 1 word
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	command_data = 64'h8786858483828180;
	
	for( int j = 0 ; j < 8 ; j++ ) begin

		byte_enable = 8'hFF >> j;
		command_data_mask = 64'hFFFF_FFFF_FFFF_FFFF >> ( j * 8 );
		for ( int i = 0 ; i < ( j + 1 ) ; i++ ) begin
		
			master_data_scoreboard.push_back( command_data );
			master_mask_scoreboard.push_back( command_data_mask );
			
			master_set_and_push_command(REQ_WRITE, command_addr, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
			
			command_data_mask = command_data_mask << 8;
			byte_enable = byte_enable << 1;
			
			command_addr = command_addr + 8;
		end
		command_data = command_data - 64'h1010_1010_1010_1010;
	end
//
//	Read back and validate the write data to this point
//
	idle = 0;  			// no idle cycle between each command of the master BFM
	init_latency = 0;  	// the command is launched to Avalon bus with no delay
	
	burst_count = ( command_addr - command_addr_base ) / 8;
	burst_size = burst_count;

	byte_enable = 8'hFF;
	command_data = 64'h0;

	master_set_and_push_command(REQ_READ, command_addr_base, command_data, byte_enable, burst_count, burst_size, idle, init_latency);
		
//
// Signal to the test bench that we've reached the end of the input.
//
	input_complete = 1;

end
