//change this file to perform different test result checkng function
always @ go_check
begin

	$sformat(message, "");	       
	print(VERBOSITY_INFO, message);

	response_request	= Request_t' (`MSTR_BFM.get_response_request());
	response_addr		= `MSTR_BFM.get_response_address();
	response_burst_size	= `MSTR_BFM.get_response_burst_size();
	
	$sformat(message, "%s ADDR=%016h BURST=%03h", (response_request == REQ_READ) ? "READ " : "WRITE", response_addr, response_burst_size);	       
	print(VERBOSITY_INFO, message);
	
	for( response_index = 0 ; response_index < response_burst_size ; response_index++ ) begin

		response_data			= `MSTR_BFM.get_response_data( response_index );	
		response_byte_enable	= `MSTR_BFM.get_response_byte_enable( response_index );	

		$sformat(message, "BURST %4d 0x%03h : DATA=%016h BE=%02h", response_index, response_index, response_data, response_byte_enable);	       
		print(VERBOSITY_INFO, message);
	end

	if( response_request == REQ_READ ) begin
		for( response_index = 0 ; response_index < response_burst_size ; response_index++ ) begin

			response_data = `MSTR_BFM.get_response_data( response_index );	
			expected_data = master_data_scoreboard.pop_front();
			expected_mask = master_mask_scoreboard.pop_front();

			if(( response_data & expected_mask ) != ( expected_data & expected_mask )) begin

				$sformat(message, "Expected data does not match response data..." );	       
				print(VERBOSITY_ERROR, message);

				$sformat(message, "At Burst %4d 0x%03h : DATA=%016h BE=%02h", response_index, response_index, response_data, response_byte_enable );	       
				print(VERBOSITY_ERROR, message);

				$sformat(message, "Expected DATA=%016h", ( expected_data & expected_mask ) );	       
				print(VERBOSITY_ERROR, message);
				$sformat(message, "Response DATA=%016h", ( response_data & expected_mask ) );	       
				print(VERBOSITY_ERROR, message);

				$stop;
			end
		end
	end

	$sformat(message, "");	       
	print(VERBOSITY_INFO, message);
	
  checked++;

//	if(response_request == REQ_READ) begin
//
//		$sformat(message, "%m: Read Response addr=%0h data=%0h\n", response_addr, response_data, expected_data);	       
//		print(VERBOSITY_INFO, message);
//
//	end else begin
//
//		$sformat(message, "%m: Write Response addr=%0h data=%0h\n", response_addr, response_data, expected_data);	       
//		print(VERBOSITY_INFO, message);
//
//	end

//  if(response_request == REQ_READ)
//  begin    
//	expected_data = master_scoreboard.pop_front(); //get the expected data which was saved earlier
//		
//	if(response_data != expected_data)
//	begin
//	  failure++;
//	  $sformat(message, "%m: Data mismatch at %0h: %0h with expected %0h\n", response_addr, response_data, expected_data);	       
//	  print(VERBOSITY_FAILURE, message);
//	end		
//  end
end
