#!/bin/sh

# Generate the PCIe core variation.

qmegawiz -silent OPTIONAL_FILES=SIM_NETLIST my_pcie_gen2x4.v

# Generate the SOPC system.

sopc_builder --generate

# Generate a memory initialization file for the onchip RAM models and copy them into the PCIe test bench
./make_ram_init_128k_ff_64b.sh
./make_ram_init_128k_ff_32b.sh
rm -f ./my_pcie_gen2x4_examples/chaining_dma/ram0_128k_64b.hex
rm -f ./my_pcie_gen2x4_examples/chaining_dma/ram1_128k_32b.hex
cp ./onchip_ram_init_128k_ff_64b.hex ./my_pcie_gen2x4_examples/chaining_dma/ram0_128k_64b.hex
cp ./onchip_ram_init_128k_ff_32b.hex ./my_pcie_gen2x4_examples/chaining_dma/ram1_128k_32b.hex

# Copy the source modification files over to the PCIe test bench

rm -f ./my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do
rm -f ./my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist

cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/my_pcie_gen2x4_example_chaining_pipen1b.v ./my_pcie_gen2x4_examples/chaining_dma/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/altpcietb_bfm_driver_chaining.v ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/runtb.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/sim_filelist ./my_pcie_gen2x4_examples/chaining_dma/testbench/
cp ./source_modifications/my_pcie_gen2x4_examples/chaining_dma/testbench/rsf_wave.do ./my_pcie_gen2x4_examples/chaining_dma/testbench/

# Change directory into the PCIe test bench and run the runtb.do script in batch mode thru ModelSim.

cd ./my_pcie_gen2x4_examples/chaining_dma/testbench/

vsim < runtb.do
